2025-01-28  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: f46351b4918d1602b08e67187b34889d6d19a6f5
	Bump version to 2.41

	* include/features.h: Modified.
	(__GLIBC_MINOR__): Modified.
	* version.h: Modified.
	(RELEASE): Modified.
	(VERSION): Modified.

2025-01-28  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 9b2f20dd54079afb68addf23685b039f1accd6e0
	po: update translations (final, only timestamp and line number changes)

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ka.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ro.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2025-01-28  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: b8c0cb4b1cb1c34c18417fa9b13870ae0780a555
	libc.pot: regenerate (only line number changes)

	* po/libc.pot: Modified.

2025-01-28  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: fda82f6e8067e2f5fe79ef26772b2fade94f30f0
	INSTALL: update last tested version numbers

	* INSTALL: Modified.
	* manual/install.texi: Modified.

2025-01-27  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 27bebf9b4fd551c6afe53245485c952705c298a6
	contrib.texi: minor improvements

	* manual/contrib.texi: Modified.

2025-01-27  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 115afa9daa7da535915a5c4d0e2f5440b773abc1
	NEWS: Add some more news from the 2.41 cycle

	* NEWS: Modified.

2025-01-27  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 604a340e91b09f880c26e123bfeb8a472d0969e1
	contrib.texi: Update from 2.40..2.41 commit log

	* manual/contrib.texi: Modified.

2025-01-26  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 181b6258e33bf2f0272244242f207b3478417d95
	NEWS: Add reference to (single) advisory

	* NEWS: Modified.

2025-01-26  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 306acc0519587514b326ac87c42f8341afd5725e
	NEWS: Add list of bugs fixed in 2.41

	* NEWS: Modified.

2025-01-26  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: dc650eb715df0a272ce43dfb55a209d5b018cc04
	NEWS: editorial changes (language, line breaks)

	* NEWS: Modified.

2025-01-26  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: b31ed9581ba5f478343e2a60686e8dd34c57e68d
	testsuite: Make stdio-common/tst-printf-format-*-mem UNSUPPORTED if the mtrace output does not exist

	* stdio-common/Makefile: Modified.

2025-01-25  Sam James  <sam@gentoo.org>

	COMMIT: 8d55f2fb17f7069b3b10231f9673eba1a0d272eb
	elf: fix 'valgrind' typo in comment

	* elf/valgrind-test.c: Modified.

2025-01-25  Sam James  <sam@gentoo.org>

	COMMIT: fc8f253d808ade5e97c93b363bd1932023e770ba
	malloc: cleanup casts in tst-calloc

	* malloc/tst-calloc.c: Modified.
	(null_test): Modified function.

2025-01-25  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 8ab34497de14e35aff09b607222fe1309ef156da
	stdlib: Test using setenv with updated environ [BZ #32588]

	* stdlib/Makefile: Modified.
	* stdlib/tst-setenv-environ.c: New file.

2025-01-24  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: aba14403c606fdba6726f76442272d5011c52900
	LICENSES: update CORE-MATH copyright

	* LICENSES: Modified.

2025-01-24  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 1ed3e4468879b79492dfd453255b9318b3265843
	LICENSES: update location of getaddrinfo.c and getnameinfo.c

	* LICENSES: Modified.

2025-01-24  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 4871ab841b3bfbabdba62cc86dd6b8db84f5c134
	LICENSES: remove Intel License Agreement

	* LICENSES: Modified.

2025-01-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 12b4a1fc6ecfc278a87159164bdf1d682deb18e2
	stdlib: Re-implement free (environ) compatibility kludge for setenv

	* stdlib/Makefile: Modified.
	* stdlib/setenv.c: Modified.
	[_LIBC][! _LIBC][!(_LIBC || ( HAVE_SEARCH_H &&  HAVE_TSEARCH  &&  __GNUC__))](__libc_lock_define_initialized): Modified function.
	[_LIBC][! _LIBC][_LIBC](__libc_setenv_freemem): Modified function.
	[_LIBC][! _LIBC](__libc_lock_define_initialized): Modified function.
	[_LIBC][! _LIBC](__add_to_environ): Modified function.
	* stdlib/setenv.h: Modified.
	(environ_array): Modified.
	(__environ_is_from_array_list): Modified function.
	* stdlib/tst-environ-change-1.c: New file.
	* stdlib/tst-environ-change-2.c: New file.
	* stdlib/tst-environ-change-3.c: New file.
	* stdlib/tst-environ-change-4.c: New file.
	* stdlib/tst-environ-change-skeleton.c: New file.

2025-01-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 36fcdfbbc5463e55581fec67141df3493fb81f7e
	Revert "stdlib: Support malloc-managed environ arrays for compatibility"

	* csu/init-first.c: Modified.
	(_init_first): Modified function.
	* csu/libc-start.c: Modified.
	[! LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	[LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	* include/unistd.h: Modified.
	[! _ISOMAC](__environ_startup): Remove.
	* posix/environ.c: Modified.
	(__environ_startup): Remove.
	* stdlib/Makefile: Modified.
	* stdlib/setenv.c: Modified.
	[_LIBC][! _LIBC](__add_to_environ): Modified function.
	* stdlib/tst-setenv-malloc.c: Delete file.

2025-01-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b62759db04b8ed7f829c06f1d7c3b8fb70616493
	stdlib: Support malloc-managed environ arrays for compatibility

	* csu/init-first.c: Modified.
	(_init_first): Modified function.
	* csu/libc-start.c: Modified.
	[! LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	[LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	* include/unistd.h: Modified.
	[! _ISOMAC](__environ_startup): New.
	* posix/environ.c: Modified.
	(__environ_startup): New.
	* stdlib/Makefile: Modified.
	* stdlib/setenv.c: Modified.
	[_LIBC][! _LIBC](__add_to_environ): Modified function.
	* stdlib/tst-setenv-malloc.c: New file.

2025-01-22  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 76c3f7f81b7b99fedbff6edc07cddff59e2ae6e2
	po: Incorporate translations

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ka.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ro.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2025-01-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: d9dcfe766eb9adcf9b1143112b569ac34ea9a9e6
	Update advisory GLIBC-SA-2025-0001 (2.40)

	* advisories/GLIBC-SA-2025-0001: Modified.

2025-01-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 94e908cee9e2a5bdd04a85a36104673417a6ebd9
	Add advisory text for CVE-2025-0395

	* advisories/GLIBC-SA-2025-0001: New file.

2025-01-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 68ee0f704cb81e9ad0a78c644a83e1e9cd2ee578
	Fix underallocation of abort_msg_s struct (CVE-2025-0395)

	* assert/assert.c: Modified.
	(__assert_fail_base): Modified function.
	(libc-pointer-arith.h): Include file.
	* sysdeps/posix/libc_fatal.c: Modified.
	(__libc_message_impl): Modified function.
	(libc-pointer-arith.h): Include file.

2025-01-21  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: d4626340b997d662ddca4a48f8a3bf03ccb7a603
	NEWS: Add note on Guarded Control Stack support

	* NEWS: Modified.

2025-01-21  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: c6b6a8cf0498f07dc44cda9322b6dada0118d6f3
	Fix typo: _POSIX_REATIME_SIGNALS -> _POSIX_REALTIME_SIGNALS [BZ# 32515]

	* posix/annexc.c: Modified.

2025-01-21  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 50eaf548838b7f9cbc05789f6007a1176bdaf90f
	aarch64: Add HWCAP_GCS

	* sysdeps/unix/sysv/linux/aarch64/bits/hwcap.h: Modified.
	(HWCAP_GCS): New.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	(init_cpu_features): Modified function.

2025-01-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 71b49e299dbe22853095119da5064303e1d6b9ff
	nptl: Include <stdbool.h> in tst-skeleton-affinity-inheritance.c

	* nptl/tst-skeleton-affinity-inheritance.c: Modified.
	(stdbool.h): Include file.

2025-01-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 1ac28b781882e3f14b41dcb06f3f945d53938948
	stdlib: Test for expected sequence of random numbers from rand

	* stdlib/Makefile: Modified.
	* stdlib/tst-rand-sequence.c: New file.

2025-01-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 33b684e0194930ff072cf812b37c191637261dbe
	stdlib: Fix unintended change to the random_r implementation

	* stdlib/random_r.c: Modified.
	(__random_r): Modified function.

2025-01-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a3131e71cf65c0c28869824de9b1b1fab363882c
	elf: Make tst-ro-dynamic-mod.map compatible with older binutils

	* elf/tst-ro-dynamic-mod.map: Modified.

2025-01-20  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 5eafafc46cd5b30916fd8b5c6b53dd5f6dc5466d
	NEWS: Add the extensible rseq ABI to new features

	* NEWS: Modified.

2025-01-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b3a6bd625ce96bcec0e5d41b9835b1367d97e548
	Linux: Do not check unused bytes after sched_getattr in tst-sched_setattr

	* manual/resource.texi: Modified.
	* sysdeps/unix/sysv/linux/tst-sched_setattr.c: Modified.
	(check_unused): Remove function.
	(do_test): Modified function.

2025-01-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 89e61e96b79faa104eb89f14028dae99d4ca4648
	i386: Update ulps for *pi functions

	* sysdeps/i386/fpu/libm-test-ulps: Modified.

2025-01-20  Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: d3f2b71ef1d146137a25dd1367d97a14fac341c6
	aarch64: Fix tests not compatible with targets supporting GCS

	* elf/tst-asm-helper.h: New file.
	* elf/tst-big-note-lib.S: Modified.
	* elf/tst-ro-dynamic-mod.map: Modified.
	* sysdeps/aarch64/tst-vpcs-mod.S: Modified.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: a335acb8b86351afa8e3721b7e62ed32b86708b8
	aarch64: Use __alloc_gcs in makecontext

	* sysdeps/unix/sysv/linux/aarch64/makecontext.c: Modified.
	[! SHADOW_STACK_SET_TOKEN](SHADOW_STACK_SET_TOKEN): Remove.
	[! SHADOW_STACK_SET_TOKEN](SHADOW_STACK_SET_MARKER): Remove.
	(map_shadow_stack): Remove function.
	(GCS_MAX_SIZE): Remove.
	(GCS_ALTSTACK_RESERVE): Remove.
	(alloc_makecontext_gcs): Modified function.
	(aarch64-gcs.h): Include file.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 3d8da0d91b0998855c1da14180078d1379442d32
	aarch64: Add GCS user-space allocation logic

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/__alloc_gcs.c: New file.
	* sysdeps/aarch64/aarch64-gcs.h: New file.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: d3df351338ce275b6c0fd9cb1c01a7d8eceedb47
	aarch64: Process gnu properties in static exe

	* sysdeps/unix/sysv/linux/aarch64/libc-start.h: Modified.
	[! SHARED](aarch64_libc_setup_tls): Modified function.
	[! SHARED](dl-prop.h): Include file.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 29476485f90a0c3460149349367a45085cc57c65
	aarch64: Ignore GCS property of ld.so

	* sysdeps/aarch64/dl-gcs.c: Modified.
	(check_gcs): Modified function.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>
            Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 4d56a5bbd679372121977e5cce4614815dfcce29
	aarch64: Handle GCS marking

	* sysdeps/aarch64/dl-gcs.c: Modified.
	(unistd.h): Include file.
	(GCS_POLICY_DISABLED): New.
	(GCS_POLICY_ENFORCED): New.
	(GCS_POLICY_OPTIONAL): New.
	(GCS_POLICY_OVERRIDE): New.
	(fail): New function.
	(unsupported): New function.
	(check_gcs): New function.
	(check_gcs_depends): New function.
	(_dl_gcs_check): New function.
	* sysdeps/aarch64/dl-prop.h: Modified.
	(_rtld_main_check): Modified function.
	(_dl_open_check): Modified function.
	(_dl_process_gnu_property): Modified function.
	(_dl_gcs_check): New function.
	* sysdeps/aarch64/linkmap.h: Modified.
	(link_map_machine): Modified.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 8d516b6f851f406b2a18bead5a55fbe2e0d0b05b
	aarch64: Use l_searchlist.r_list for bti

	* sysdeps/aarch64/dl-bti.c: Modified.
	(_dl_bti_check): Modified function.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 76b79f7241b942f76a792ca2637f46c8ea439aed
	aarch64: Mark objects with GCS property note

	* sysdeps/aarch64/sysdep.h: Modified.
	[__ASSEMBLER__][HAVE_AARCH64_BTI](GNU_PROPERTY): Modified.
	[__ASSEMBLER__][HAVE_AARCH64_BTI && HAVE_AARCH64_PAC_RET](GNU_PROPERTY): Modified.
	[__ASSEMBLER__](FEATURE_1_GCS): New.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 01f52b11ded15a1c0214692c707f1ddee1f4179f
	aarch64: Enable GCS in dynamic linked exe

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/dl-gcs.c: New file.
	* sysdeps/aarch64/dl-start.S: Modified.
	* sysdeps/aarch64/rtld-global-offsets.sym: Modified.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: b81ee54bc90521f10c2ea07f746859377653ec28
	aarch64: Enable GCS in static linked exe

	* sysdeps/unix/sysv/linux/aarch64/libc-start.h: New file.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>
            Yury Khrustalev  <yury.khrustalev@arm.com>

	COMMIT: 9ad3d9267d1e0ddda264e54cd4176fa927e2e0ca
	aarch64: Add glibc.cpu.aarch64_gcs tunable

	* manual/tunables.texi: Modified.
	* sysdeps/aarch64/dl-tunables.list: Modified.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/dl-procruntime.c: New file.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 3ac237fb716b86ba7967edb84eb85d15364aaebc
	aarch64: Add GCS support for makecontext

	* sysdeps/unix/sysv/linux/aarch64/makecontext.c: Modified.
	(__makecontext): Modified function.
	[! SHADOW_STACK_SET_TOKEN](SHADOW_STACK_SET_TOKEN): New.
	[! SHADOW_STACK_SET_TOKEN](SHADOW_STACK_SET_MARKER): New.
	(sys/mman.h): Include file.
	(GCS_MAGIC): New.
	(extension): New function.
	(map_shadow_stack): New function.
	(GCS_MAX_SIZE): New.
	(GCS_ALTSTACK_RESERVE): New.
	(alloc_makecontext_gcs): New function.
	* sysdeps/unix/sysv/linux/aarch64/setcontext.S: Modified.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 7d22054db7df3b0b84f1a2142195e27c5d34285b
	aarch64: Mark swapcontext with indirect_return

	* sysdeps/aarch64/bits/indirect-return.h: New file.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 9885d13b669591574829125f13b1078bb12399fc
	aarch64: Add GCS support for setcontext

	* sysdeps/unix/sysv/linux/aarch64/getcontext.S: Modified.
	* sysdeps/unix/sysv/linux/aarch64/setcontext.S: Modified.
	* sysdeps/unix/sysv/linux/aarch64/swapcontext.S: Modified.
	* sysdeps/unix/sysv/linux/aarch64/ucontext-internal.h: Modified.
	(GCS_MAGIC): New.
	(GCS_CONTEXT_SIZE): New.
	(oGCSPR): New.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 1cf59c2603be88e3c97e68b1f219647f20310215
	aarch64: Add GCS support to vfork

	* sysdeps/unix/sysv/linux/aarch64/vfork.S: Modified.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 5ff5e7836e97a2d87778936b29c9607c120251be
	aarch64: Add GCS support to longjmp

	* sysdeps/aarch64/__longjmp.S: Modified.
	* sysdeps/aarch64/setjmp.S: Modified.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 13cbbb0cb29153bab099e040002e7cc78a0ceaaa
	aarch64: Define jmp_buf offset for GCS

	* sysdeps/aarch64/jmpbuf-offsets.h: Modified.
	(JB_GCSPR): New.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 640c209a72b3a3d3712dffb8c728f6ce3c504715
	elf.h: Define GNU_PROPERTY_AARCH64_FEATURE_1_GCS

	* elf/elf.h: Modified.
	(GNU_PROPERTY_AARCH64_FEATURE_1_GCS): New.

2025-01-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 58771b8a5900585b7561197f743580b91bb61de0
	aarch64: Add asm helpers for GCS

	* sysdeps/aarch64/sysdep.h: Modified.
	[__ASSEMBLER__](CHKFEAT_X16): New.
	[__ASSEMBLER__](MRS_GCSPR): New.
	[__ASSEMBLER__](GCSPOPM): New.
	[__ASSEMBLER__](GCSSS1): New.
	[__ASSEMBLER__](GCSSS2): New.

2025-01-19  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 8ef17919509e909746b0ad6465e9c6c952a3fe34
	hurd: Fix EINVAL error on linking to a slash-trailing path [BZ #32569]

	* sysdeps/mach/hurd/bind.c: Modified.
	(__bind): Modified function.
	* sysdeps/mach/hurd/linkat.c: Modified.
	(__linkat_common): Modified function.
	* sysdeps/mach/hurd/mknodat.c: Modified.
	(__mknodat): Modified function.
	* sysdeps/mach/hurd/symlinkat.c: Modified.
	(__symlinkat): Modified function.

2025-01-17  Malte Skarupke  <malteskarupke@fastmail.fm>

	COMMIT: 91bb902f58264a2fd50fbce8f39a9a290dd23706
	nptl: Use all of g1_start and g_signals

	* nptl/pthread_cond_broadcast.c: Modified.
	(___pthread_cond_broadcast): Modified function.
	* nptl/pthread_cond_common.c: Modified.
	(__condvar_switch_g1): Modified function.
	* nptl/pthread_cond_signal.c: Modified.
	(___pthread_cond_signal): Modified function.
	* nptl/pthread_cond_wait.c: Modified.
	(__condvar_cancel_waiting): Modified function.
	(__pthread_cond_wait_common): Modified function.

2025-01-17  Malte Skarupke  <malteskarupke@fastmail.fm>

	COMMIT: 4b79e27a5073c02f6bff9aa8f4791230a0ab1867
	nptl: rename __condvar_quiesce_and_switch_g1

	* nptl/pthread_cond_broadcast.c: Modified.
	(___pthread_cond_broadcast): Modified function.
	* nptl/pthread_cond_common.c: Modified.
	(__condvar_quiesce_and_switch_g1): Remove function.
	(__condvar_switch_g1): New function.
	* nptl/pthread_cond_signal.c: Modified.
	(___pthread_cond_signal): Modified function.
	* nptl/pthread_cond_wait.c: Modified.

2025-01-17  Malte Skarupke  <malteskarupke@fastmail.fm>

	COMMIT: ee6c14ed59d480720721aaacc5fb03213dc153da
	nptl: Fix indentation

	* nptl/pthread_cond_wait.c: Modified.

2025-01-17  Malte Skarupke  <malteskarupke@fastmail.fm>

	COMMIT: 929a4764ac90382616b6a21f099192b2475da674
	nptl: Use a single loop in pthread_cond_wait instaed of a nested loop

	* nptl/pthread_cond_wait.c: Modified.
	(__pthread_cond_wait_common): Modified function.

2025-01-17  Malte Skarupke  <malteskarupke@fastmail.fm>

	COMMIT: c36fc50781995e6758cae2b6927839d0157f213c
	nptl: Remove g_refs from condition variables

	* nptl/pthread_cond_wait.c: Modified.
	(__condvar_dec_grefs): Remove function.
	(__condvar_cleanup_waiting): Modified function.
	(__pthread_cond_wait_common): Modified function.
	* nptl/tst-cond22.c: Modified.
	(do_test): Modified function.
	* sysdeps/nptl/bits/thread-shared-types.h: Modified.
	(__pthread_cond_s): Modified.
	* sysdeps/nptl/pthread.h: Modified.
	(PTHREAD_COND_INITIALIZER): Modified.

2025-01-17  Malte Skarupke  <malteskarupke@fastmail.fm>

	COMMIT: 4f7b051f8ee3feff1b53b27a906f245afaa9cee1
	nptl: Remove unnecessary quadruple check in pthread_cond_wait

	* nptl/pthread_cond_wait.c: Modified.
	(__pthread_cond_wait_common): Modified function.

2025-01-17  Malte Skarupke  <malteskarupke@fastmail.fm>

	COMMIT: b42cc6af11062c260c7dfa91f1c89891366fed3e
	nptl: Remove unnecessary catch-all-wake in condvar group switch

	* nptl/pthread_cond_common.c: Modified.
	(__condvar_quiesce_and_switch_g1): Modified function.

2025-01-17  Malte Skarupke  <malteskarupke@fastmail.fm>

	COMMIT: 0cc973160c23bb67f895bc887dd6942d29f8fee3
	nptl: Update comments and indentation for new condvar implementation

	* nptl/pthread_cond_common.c: Modified.
	* nptl/pthread_cond_wait.c: Modified.

2025-01-17  Frank Barrus  <frankbarrus_sw@shaggy.cc>

	COMMIT: 1db84775f831a1494993ce9c118deaf9537cc50a
	pthreads NPTL: lost wakeup fix 2

	* nptl/pthread_cond_common.c: Modified.
	(__condvar_quiesce_and_switch_g1): Modified function.
	* nptl/pthread_cond_wait.c: Modified.
	(__pthread_cond_wait_common): Modified function.

2025-01-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 109c40ed7a3ca4e380bdbcb036775edc888a7643
	math: update arm ulps

	* sysdeps/arm/libm-test-ulps: Modified.

2025-01-17  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: ae33fb452f665eb0a5a6f7ebfc910fb9e2e4022f
	math: update arm ulps

	* sysdeps/arm/libm-test-ulps: Modified.

2025-01-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 37b9a5aacc3156aef81a461deaf703f49531deac
	Linux: Add tests that check that TLS and rseq area are separate

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/tst-rseq-tls-range-4096-static.c: New file.
	* sysdeps/unix/sysv/linux/tst-rseq-tls-range-4096.c: New file.
	* sysdeps/unix/sysv/linux/tst-rseq-tls-range-mod.c: New file.
	* sysdeps/unix/sysv/linux/tst-rseq-tls-range-static.c: New file.
	* sysdeps/unix/sysv/linux/tst-rseq-tls-range.c: New file.

2025-01-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cbd9fd236981717d3d4ee942986ea912e9707c32
	Consolidate TLS block allocation for static binaries with ld.so

	* csu/libc-tls.c: Modified.
	(init_slotinfo): Modified function.
	(init_static_tls): Remove function.
	(__libc_setup_tls): Modified function.
	(array_length.h): Include file.
	(elf/dl-tls_block_align.h): Include file.
	* elf/dl-tls.c: Modified.
	[SHARED](_dl_determine_tlsoffset): Remove function.
	(_dl_allocate_tls_storage): Modified function.
	(dl-tls_block_align.h): Include file.
	(_dl_determine_tlsoffset): New function.
	* elf/dl-tls_block_align.h: New file.

2025-01-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7f784ffc173b5a2166ff846fd003a2264d614456
	elf: Iterate over loaded object list in _dl_determine_tlsoffset

	* elf/dl-tls.c: Modified.
	[SHARED](_dl_determine_tlsoffset): Modified function.
	(_dl_tls_initial_modid_limit_setup): Modified function.
	* elf/rtld.c: Modified.
	(init_tls): Modified function.
	(dl_main): Modified function.

2025-01-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0b795abd62282767a219a72c8c6fef753bacedfa
	benchtests: Add dummy in put files cospi, cospif, sinpi, sinpif, tanpi, tanpif

	* benchtests/libmvec/cospi-inputs: New file.
	* benchtests/libmvec/cospif-inputs: New file.
	* benchtests/libmvec/sinpi-inputs: New file.
	* benchtests/libmvec/sinpif-inputs: New file.
	* benchtests/libmvec/tanpi-inputs: New file.
	* benchtests/libmvec/tanpif-inputs: New file.

2025-01-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: abeae3c0061c0599ac2f012b270d6b4c8f59c82f
	Linux: Fixes for getrandom fork handling

	* stdlib/tst-arc4random-thread.c: Modified.
	(blob): Modified.
	(do_test_func): Modified function.
	* sysdeps/unix/sysv/linux/getrandom.c: Modified.
	[HAVE_GETRANDOM_VSYSCALL](vgetrandom_get_state): Modified function.
	(__getrandom_reset_state): Modified function.
	(__getrandom_vdso_release): Modified function.

2025-01-15  Pavel Kozlov  <pavel.kozlov@synopsys.com>

	COMMIT: 252fc3628bc2dd66b38dff7b5c22432bb34a8829
	arc: Update libm test ulps

	* sysdeps/arc/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/nofpu/libm-test-ulps: Modified.

2025-01-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: a402cae36d95a2141703df324b5de5b581868c5c
	mach: Add missing error messages

	* mach/err_kern.sub: Modified.

2025-01-14  Stefan Liebler  <stli@linux.ibm.com>
            Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 09ea1afec75ed0d41cb0da27a9df1b8c3dd56ddc
	affinity-inheritance: Overallocate CPU sets

	* nptl/tst-pthread-affinity-inheritance.c: Modified.
	(verify_my_affinity): Modified function.
	* nptl/tst-skeleton-affinity-inheritance.c: Modified.
	(test_param): Modified.
	(child_test): Modified function.
	(do_one_test): Modified function.
	(do_test): Modified function.
	* sysdeps/unix/sysv/linux/tst-sched-affinity-inheritance.c: Modified.
	(verify_my_affinity): Modified function.

2025-01-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 2ac7701888c9918fcdd8b35adcbcd91d7e1e923f
	mach: Fix fallthrough warning

	* sysdeps/mach/clock_gettime.c: Modified.

2025-01-13  mirabilos  <tg@debian.org>

	COMMIT: f42634f8244ba80773c5f2207f01ea936a6746ca
	sh4: ensure FPSCR.PR==0 when executing FRCHG [BZ #27543]

	* sysdeps/unix/sysv/linux/sh/sh4/getcontext.S: Modified.
	* sysdeps/unix/sysv/linux/sh/sh4/setcontext.S: Modified.
	* sysdeps/unix/sysv/linux/sh/sh4/swapcontext.S: Modified.

2025-01-13  Dan Luedtke  <danrl@google.com>

	COMMIT: 72dfba1be426f449a7f1c913c3656ff8b400ba9e
	inet: Add common IPv6 packet header macros

	* inet/netinet/ip6.h: Modified.
	[__BYTE_ORDER != __BIG_ENDIAN](IPV6_FLOWINFO_MASK): New.
	[__BYTE_ORDER != __BIG_ENDIAN](IPV6_FLOWLABEL_MASK): New.
	[__BYTE_ORDER == __BIG_ENDIAN](IPV6_FLOWINFO_MASK): New.
	[__BYTE_ORDER == __BIG_ENDIAN](IPV6_FLOWLABEL_MASK): New.
	(IPV6_VERSION): New.
	(IPV6_VERSION_MASK): New.

2025-01-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e59bdf63cbe16b018f8b9b38f1daf9ece2329ab8
	stdio-common: Suppress Clang warnings on scanf13.c with fortify enable

	* stdio-common/scanf13.c: Modified.
	(main): Modified function.

2025-01-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6a498d780e6fd3b7db7575c4ec00c00dc8568fef
	elf: Suppress unused function clang for __ifunc_resolver

	* elf/ifuncmain9.c: Modified.
	[__GNUC_PREREQ (5, 5)](DIAG_PUSH_NEEDS_COMMENT_CLANG): New.
	[__GNUC_PREREQ (5, 5)](DIAG_IGNORE_NEEDS_COMMENT_CLANG): New function.
	[__GNUC_PREREQ (5, 5)](DIAG_POP_NEEDS_COMMENT_CLANG): New.
	(libc-diag.h): Include file.
	* elf/tst-ifunc-fault-lazy.c: Modified.
	[HAVE_GCC_IFUNC](DIAG_PUSH_NEEDS_COMMENT_CLANG): New.
	[HAVE_GCC_IFUNC](DIAG_IGNORE_NEEDS_COMMENT_CLANG): New function.
	[HAVE_GCC_IFUNC](DIAG_POP_NEEDS_COMMENT_CLANG): New.
	(libc-diag.h): Include file.

2025-01-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f28702b2eead1c65292c4fc84ecade2be201de0e
	gmon: Disable tst-profile-static with clang

	* gmon/Makefile: Modified.

2025-01-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6c575d835edf166c16695e47732b175abf6f99ef
	aarch64: Use 64-bit variable to access the special registers

	* sysdeps/aarch64/fpu/fpu_control.h: Modified.
	[!(__GNUC_PREREQ (6,0))](_FPU_GETCW): Modified.
	[!(__GNUC_PREREQ (6,0))](_FPU_SETCW): Modified.
	[!(__GNUC_PREREQ (6,0))](_FPU_GETFPSR): Modified.
	[!(__GNUC_PREREQ (6,0))](_FPU_SETFPSR): Modified.
	* sysdeps/aarch64/fpu/fraiseexcpt.c: Modified.
	(__feraiseexcept): Modified function.
	(stdint.h): Include file.
	* sysdeps/aarch64/sfp-machine.h: Modified.
	(FP_HANDLE_EXCEPTIONS): Modified.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/sysconf.c: Modified.
	(__sysconf): Modified function.

2025-01-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e9f16cb6d187df00e7f28992436339d343e00760
	hurd: Set _POSIX_MONOTONIC_CLOCK to 200809L

	* sysdeps/mach/hurd/bits/posix_opt.h: Modified.
	[!	_BITS_POSIX_OPT_H](_POSIX_MONOTONIC_CLOCK): Modified.

2025-01-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: b31d490222d9bff761bfc4558a141a8916b6c57d
	hurd: Add CLOCK_MONOTONIC to clock_nanosleep

	* sysdeps/mach/clock_nanosleep.c: Modified.
	(nanosleep_call): Modified function.
	(__clock_nanosleep): Modified function.

2025-01-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 15b345935cfca09c24d3e5414de22bb2b7aa5857
	hurd: Add CLOCK_MONOTONIC support to lll

	* hurd/hurdlock.c: Modified.
	(__lll_abstimed_wait): Modified function.
	(__lll_abstimed_wait_intr): Modified function.
	(__lll_abstimed_xwait): Modified function.
	(__lll_abstimed_lock): Modified function.
	(__lll_robust_abstimed_lock): Modified function.

2025-01-12  Zhaoming Luo  <zhmingluo@163.com>

	COMMIT: 3782ffaf3e6c2a071df029b96712e596b5229838
	mach: Add CLOCK_MONOTONIC case in clock_gettime()

	* config.h.in: Modified.
	* sysdeps/mach/clock_gettime.c: Modified.
	(__clock_gettime): Modified function.
	(mach/mig_errors.h): Include file.
	* sysdeps/mach/configure: Modified.
	* sysdeps/mach/configure.ac: Modified.

2025-01-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 73b854e955a3c38655fa51f742238dc7163b4a29
	hurd: Mark more memory-hungry tests as unsupported

	* sysdeps/mach/hurd/Makefile: Modified.

2025-01-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 278f8d5c4d74b0a10cd96ee3f8225a673517dbf4
	socket/tst-cmsghdr: Fix alignment of cmsghdr

	* socket/tst-cmsghdr-skeleton.c: Modified.
	(RUN_TEST_FUNCNAME): Modified function.

2025-01-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 4ab62ce6053f731e36a02bdb1dc25441ed05836c
	elf: make tst-tls_tp_offset compare &thread_var to THREAD_SELF

	* elf/tst-tls_tp_offset.c: Modified.
	(do_test): Modified function.

2025-01-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: dbe3e6e0228fb25679280a913bf29a06f86bd967
	hurd: Mark more memory-hungry tests as unsupported

	* sysdeps/mach/hurd/Makefile: Modified.

2025-01-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 1a09aa03eec7cf46d85b45387b5b38861f1419fc
	hurd: Mark tst-tls-allocation-failure-static-patched as supported

	* sysdeps/mach/hurd/Makefile: Modified.

2025-01-12  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0c4856250814d5fe1222a39c6954c4b5d79a829c
	hurd: Cope with signals sent to ourself early

	* sysdeps/mach/hurd/kill.c: Modified.
	(__kill): Modified function.
	(sys/wait.h): Include file.
	(unistd.h): Include file.

2025-01-12  H.J. Lu  <hjl.tools@gmail.com>
            Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 0b6ad02b33448c0b8b6fdd781dffad329d1f0f7d
	x86-64: Cast __rseq_offset to long long int [BZ #32543]

	* sysdeps/x86_64/nptl/rseq-access.h: Modified.
	(RSEQ_GETMEM_ONCE): Modified.
	(RSEQ_SETMEM_ONCE): Modified.

2025-01-11  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 53a71b9f66dbc7f0ce44ec95bff7caa31fa0374b
	hurd: Mark more memory-hungry tests as unsupported

	* sysdeps/mach/hurd/Makefile: Modified.

2025-01-10  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 072795229c34a5530e83f90b262918cd241c3452
	Linux: Update internal copy of '<sys/rseq.h>'

	* sysdeps/unix/sysv/linux/sys/rseq.h: Modified.
	[! __GLIBC_HAVE_KERNEL_RSEQ](rseq): Modified.

2025-01-10  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 540c8172660b93909ca9511e9742cd4dad4644a1
	nptl: Remove the rseq area from 'struct pthread'

	* nptl/descr.h: Modified.
	(pthread): Modified.

2025-01-10  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 93d0bfbe8ffa9c3dcbfc8e953216542f500dac07
	nptl: Move the rseq area to the 'extra TLS' block

	* nptl/pthread_create.c: Modified.
	(__pthread_create_2_1): Modified function.
	* sysdeps/nptl/dl-tls_init_tp.c: Modified.
	(__tls_init_tp): Modified function.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/dl-parse_auxv.h: Modified.
	(_dl_parse_auxv): Modified function.
	* sysdeps/unix/sysv/linux/rseq-internal.h: Modified.
	[! RSEQ_SIG](rseq_register_current_thread): Modified function.
	[RSEQ_SIG](rseq_register_current_thread): Modified function.
	(rseq-access.h): Include file.
	(rseq_area): New.
	* sysdeps/unix/sysv/linux/sched_getcpu.c: Modified.
	(sched_getcpu): Modified function.
	(rseq-internal.h): Include file.
	* sysdeps/unix/sysv/linux/tst-rseq-disable-static.c: New file.
	* sysdeps/unix/sysv/linux/tst-rseq-disable.c: Modified.
	[RSEQ_SIG](check_rseq_disabled): Modified function.
	[RSEQ_SIG](do_test): Modified function.
	[RSEQ_SIG](sys/auxv.h): Include file.
	[RSEQ_SIG](dl-tls.h): Include file.
	[RSEQ_SIG](tst-rseq.h): Include file.
	[RSEQ_SIG](local_rseq): New.
	[RSEQ_SIG](tls_model): New function.
	* sysdeps/unix/sysv/linux/tst-rseq-nptl-static.c: New file.
	* sysdeps/unix/sysv/linux/tst-rseq-static.c: New file.
	* sysdeps/unix/sysv/linux/tst-rseq.c: Modified.
	[! RSEQ_SIG](do_rseq_test): Remove function.
	[! RSEQ_SIG](do_test): New function.
	[RSEQ_SIG](do_rseq_main_test): Modified function.
	[RSEQ_SIG](do_rseq_test): Remove function.
	[RSEQ_SIG](dl-tls.h): Include file.
	[RSEQ_SIG](sys/auxv.h): Include file.
	[RSEQ_SIG](tls_model): New function.
	[RSEQ_SIG](thread_func): New function.
	[RSEQ_SIG](proc_func): New function.
	[RSEQ_SIG](do_test): New function.
	(do_test): Remove function.
	(support/namespace.h): Include file.
	(support/xthread.h): Include file.
	* sysdeps/unix/sysv/linux/tst-rseq.h: Modified.
	(rseq_thread_registered): Modified function.

2025-01-10  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 494d65129ed5ae1154b75cc189bbdde5e9ecf1df
	nptl: Introduce <rseq-access.h> for RSEQ_* accessors

	* sysdeps/i386/nptl/rseq-access.h: New file.
	* sysdeps/nptl/rseq-access.h: New file.
	* sysdeps/unix/sysv/linux/rseq-internal.h: Modified.
	(thread_pointer.h): Include file.
	(RSEQ_SELF): New function.
	* sysdeps/x86_64/nptl/rseq-access.h: New file.

2025-01-10  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: be440f6c38ec2cdfd05439d2d90f140da34b8ce6
	nptl: add rtld_hidden_proto to __rseq_size and __rseq_offset

	* sysdeps/unix/sysv/linux/dl-rseq-symbols.S: Modified.
	* sysdeps/unix/sysv/linux/rseq-internal.h: Modified.
	[RSEQ_SIG](rseq_register_current_thread): Modified function.
	(ldsodefs.h): Include file.
	(rtld_hidden_proto): New.
	(rtld_hidden_proto): New.

2025-01-10  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 304221775cd321886d0ca86ac167f7af6913a1ec
	Add Linux 'extra TLS'

	* sysdeps/unix/sysv/linux/dl-extra_tls.h: New file.

2025-01-10  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 0e411c5d3098982d67cd2d7a233eaa6c977a1869
	Add generic 'extra TLS'

	* csu/libc-tls.c: Modified.
	(__libc_setup_tls): Modified function.
	(dl-tls.h): Include file.
	(dl-extra_tls.h): Include file.
	* elf/dl-tls.c: Modified.
	[SHARED](_dl_determine_tlsoffset): Modified function.
	(dl-extra_tls.h): Include file.
	* sysdeps/generic/dl-extra_tls.h: New file.

2025-01-10  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: c813c1490d5d8640a94fced10fc7674a48737b96
	nptl: Add rseq auxvals

	* sysdeps/nptl/dl-tls_init_tp.c: Modified.
	(__tls_init_tp): Modified function.
	(_rseq_align): New.
	* sysdeps/unix/sysv/linux/dl-parse_auxv.h: Modified.
	(_dl_parse_auxv): Modified function.
	(rseq-internal.h): Include file.
	* sysdeps/unix/sysv/linux/rseq-internal.h: Modified.
	(RSEQ_AREA_SIZE_MAX_USED): New.
	(RSEQ_MIN_ALIGN): New.
	(_rseq_align): New.
	* sysdeps/unix/sysv/linux/tst-rseq.c: Modified.
	[RSEQ_SIG](do_rseq_main_test): Modified function.
	* sysdeps/unix/sysv/linux/tst-rseq.h: Modified.
	(rseq-internal.h): Include file.

2025-01-10  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4a9a8a50981e2a3e0a04ef4c7ad7c26807c18161
	Add missing include guards to <dl-tls.h>

	* sysdeps/i386/dl-tls.h: Modified.
	(_DL_TLS_H): New.
	* sysdeps/m68k/dl-tls.h: Modified.
	(_DL_TLS_H): New.
	* sysdeps/mips/dl-tls.h: Modified.
	(_DL_TLS_H): New.
	* sysdeps/riscv/dl-tls.h: Modified.
	(_DL_TLS_H): New.
	* sysdeps/s390/dl-tls.h: Modified.
	(_DL_TLS_H): New.

2025-01-10  Sam James  <sam@gentoo.org>

	COMMIT: c3d1dac96bdd10250aa37bb367d5ef8334a093a1
	malloc: obscure calloc use in tst-calloc

	* malloc/tst-calloc.c: Modified.
	(null_test): Modified function.
	(tst-malloc-aux.h): Include file.

2025-01-10  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: dad44389f2f96523080e3b105eee1b1ab8b19722
	configure: Clear libc_cv_cc_wimplicit_fallthrough if not supported

	* configure: Modified.
	* configure.ac: Modified.

2025-01-09  Florian Weimer  <fweimer@redhat.com>

	COMMIT: d1da011118ad8e35002034128458355a2de570ef
	elf: Always define TLS_TP_OFFSET

	* elf/Makefile: Modified.
	* elf/tst-tls_tp_offset.c: New file.
	* sysdeps/generic/dl-tls.h: Modified.
	(TLS_TP_OFFSET): New.
	* sysdeps/i386/dl-tls.h: Modified.
	(TLS_TP_OFFSET): New.
	* sysdeps/s390/dl-tls.h: Modified.
	(TLS_TP_OFFSET): New.
	* sysdeps/x86_64/x32/dl-tls.h: Modified.
	(TLS_TP_OFFSET): New.

2025-01-09  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9b71570c465a38cc19c3362526048c7dcfc999e6
	x86: Add missing #include <features.h> to <thread_pointer.h>

	* sysdeps/x86/thread_pointer.h: Modified.
	(features.h): Include file.

2025-01-09  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7a3e2e877a70153a6d1b786925b34f3b396e20f1
	Move <thread_pointer.h> to kernel-independent sysdeps directories

	* sysdeps/csky/nptl/thread_pointer.h: Move to...
	* sysdeps/csky/thread_pointer.h: ... here.
	* sysdeps/nptl/thread_pointer.h: Move to...
	* sysdeps/generic/thread_pointer.h: ... here.
	* sysdeps/hppa/nptl/thread_pointer.h: Move to...
	* sysdeps/hppa/thread_pointer.h: ... here.
	* sysdeps/loongarch/nptl/thread_pointer.h: Move to...
	* sysdeps/loongarch/thread_pointer.h: ... here.
	* sysdeps/m68k/nptl/thread_pointer.h: Move to...
	* sysdeps/m68k/thread_pointer.h: ... here.
	* sysdeps/microblaze/nptl/thread_pointer.h: Move to...
	* sysdeps/microblaze/thread_pointer.h: ... here.
	* sysdeps/or1k/nptl/thread_pointer.h: Move to...
	* sysdeps/or1k/thread_pointer.h: ... here.
	* sysdeps/powerpc/nptl/thread_pointer.h: Move to...
	* sysdeps/powerpc/thread_pointer.h: ... here.
	* sysdeps/riscv/nptl/thread_pointer.h: Move to...
	* sysdeps/riscv/thread_pointer.h: ... here.
	* sysdeps/sparc/nptl/thread_pointer.h: Move to...
	* sysdeps/sparc/thread_pointer.h: ... here.
	* sysdeps/x86/nptl/thread_pointer.h: Move to...
	* sysdeps/x86/thread_pointer.h: ... here.

2025-01-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9cc9f8e11e8fb8f54f1e84d9f024917634a78201
	math: Fix acosf when building with gcc <= 11

	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/flt-32/e_acosf.c: Modified.
	(__ieee754_acosf): Modified function.
	(math-barriers.h): Include file.
	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.
	* sysdeps/s390/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2025-01-09  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: e41aabcc93edd6c9a6acb15212b2783d8a7ec5a3
	tests: Verify inheritance of cpu affinity

	* nptl/Makefile: Modified.
	* nptl/tst-pthread-affinity-inheritance.c: New file.
	* nptl/tst-skeleton-affinity-inheritance.c: New file.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/tst-sched-affinity-inheritance.c: New file.

2025-01-09  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 82688ca3107c93d9eba6440981e473d1877b6281
	s390x: Regenerated ULPs

	* sysdeps/s390/fpu/libm-test-ulps: Modified.

2025-01-09  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 502a71c5785f21ef4e3bad59949fdf86df73d385
	i686: Regenerate multiarch ulps

	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.

2025-01-08  DJ Delorie  <dj@redhat.com>

	COMMIT: 0bba6c29a1c4697bcdc1e6d29657bb6dbbd21afb
	Revert "configure: default to --prefix=/usr on GNU/Linux"

	* sysdeps/unix/sysv/linux/configure: Modified.
	* sysdeps/unix/sysv/linux/configure.ac: Modified.

2025-01-08  Darius Rad  <darius@bluespec.com>

	COMMIT: 274f73978cc0cd17cdcf021f1191d49c30e5bdd5
	riscv: Update nofpu libm test ulps

	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.

2025-01-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 39183f47d8bc9eda711c9797b18d69d7a02af91c
	elf: Minimize library dependencies of tst-nolink-libc.c

	* elf/Makefile: Modified.

2025-01-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: a4c414796a4b7464b24f5e13f35042f3b7a2444b
	include/string.h: Also redirect calls if not inlined in libpthread

	* include/string.h: Modified.
	[! _ISOMAC][IS_IN (libc) && ! SHARED  && ! NO_MEMPCPY_STPCPY_REDIRECT](__typeof): Remove.
	[! _ISOMAC][IS_IN (libc) && ! SHARED  && ! NO_MEMPCPY_STPCPY_REDIRECT](__typeof): Remove.
	[! _ISOMAC][(IS_IN (libc) || IS_IN (libpthread)) && ! SHARED  && ! NO_MEMPCPY_STPCPY_REDIRECT](__typeof): New.
	[! _ISOMAC][(IS_IN (libc) || IS_IN (libpthread)) && ! SHARED  && ! NO_MEMPCPY_STPCPY_REDIRECT](__typeof): New.

2025-01-07  Stafford Horne  <shorne@gmail.com>

	COMMIT: e3ec3fbe644da1f9b7c798e820f314bcffd56067
	or1k: Update fpu libm-test-ulps

	* sysdeps/or1k/fpu/libm-test-ulps: Modified.

2025-01-07  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 2750548afeb1a967d4ff23ec59edde37842c62b7
	math: update powerpc ulps (this time LE)

	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.

2025-01-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 706209867f1ba89c458033408d419e92d8055f58
	elf: Second ld.so relocation only if libc.so has been loaded

	* elf/Makefile: Modified.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/arm/Makefile: Modified.
	* sysdeps/unix/sysv/linux/tst-nolink-libc.c: New file.

2025-01-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a257f201dd557aa82c7efb7528277afe675c0468
	Revert "x86_64: Remove unused padding from tcbhead_t"

	* sysdeps/x86_64/nptl/tls.h: Modified.
	[! __ASSEMBLER__][! __ILP32__](_Static_assert): New function.
	[! __ASSEMBLER__][__ILP32__](_Static_assert): New function.
	[! __ASSEMBLER__](tcbhead_t): Modified.

2025-01-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c4ed6a380ed7b7b9670e3974ecb5d2db7d455123
	Revert "nptl: More useful padding in struct pthread"

	* nptl/descr.h: Modified.
	(pthread): Modified.

2025-01-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 2d196c2e10a3f75a46910210430435da1afff81f
	tst-xdirent: Fix allocating dirent for readdir_r call

	* support/tst-xdirent.c: Modified.
	(do_test): Modified function.

2025-01-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 75fed76dfd8e1e7f45fb9b346d0f70f687d736cd
	hurd: Accept null arguments for utimensat pathname

	* sysdeps/mach/hurd/utimensat.c: Modified.
	(utimensat): Modified function.

2025-01-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: fb1059d42a9df2f1ef4d75700724ad2940a09aad
	mach: Make clock_nanosleep also check tv_sec

	* sysdeps/mach/clock_nanosleep.c: Modified.
	(__clock_nanosleep): Modified function.

2025-01-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 7bc54f0965e185e567271c49971bd20c3f2a0663
	htl: Fix making pthread_join check timeout value

	* htl/pt-join.c: Modified.
	(__pthread_join_common): Modified function.

2025-01-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 15b7a675bdc3893cd4d635a1b906abe8c53f1a32
	i386: Update libm-test-ulps

	* sysdeps/i386/fpu/libm-test-ulps: Modified.

2025-01-06  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: ddf0a10e6397d71efbf3853a5373240c740fcff0
	nptl: Add <thread_pointer.h> for C-SKY

	* sysdeps/csky/nptl/thread_pointer.h: New file.

2025-01-06  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: f3e690ae84972b3f40cbe87f808721a8537942e1
	nptl: Add <thread_pointer.h> for microblaze

	* sysdeps/microblaze/nptl/thread_pointer.h: New file.

2025-01-06  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 2af56da855ddf46843df17d905bb29f375a2aa89
	math: update i686 multiarch ulps

	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.

2025-01-06  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6ab5980f4cf973051c0fde8e6bec9ca9b59c3d66
	hurd: Fix shutdown() errno on non-sock

	* sysdeps/mach/hurd/shutdown.c: Modified.
	(shutdown): Modified function.

2025-01-06  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: ff806e9233e3e1ae08834dd23d609399712953b3
	math: update mips64 ulps

	* sysdeps/mips/mips64/libm-test-ulps: Modified.

2025-01-06  mengqinggang  <mengqinggang@loongson.cn>

	COMMIT: d4cdb601df0a125550341f85d7011314e4746308
	LoongArch: Regenerate preconfigure. [bug 32521]

	* sysdeps/loongarch/preconfigure: Modified.
	* sysdeps/loongarch/preconfigure.ac: Modified.

2025-01-06  Stafford Horne  <shorne@gmail.com>

	COMMIT: 9327c8edcda952404cbef188ee78bbde9ed48e34
	or1k: Update nofpu libm-test-ulps

	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.

2025-01-05  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: db92aff28f3c9181bbb38ed972672a6f250bee59
	math: update alpha ulps

	* sysdeps/alpha/fpu/libm-test-ulps: Modified.

2025-01-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: c2567b18fd77da9d4a270b20232f12616763bf76
	loongarch: Drop __GI_XXX for strcpy/stpcpy IFUNC implementations

	* sysdeps/loongarch/lp64/multiarch/strcpy-aligned.S: Modified.
	* sysdeps/loongarch/lp64/multiarch/strcpy-lasx.S: Modified.
	* sysdeps/loongarch/lp64/multiarch/strcpy-lsx.S: Modified.
	* sysdeps/loongarch/lp64/multiarch/strcpy-unaligned.S: Modified.

2025-01-04  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: d7b37322c53e84eba2b35ee118b63f00c057050f
	hppa: Update libm-test-ulps

	* sysdeps/hppa/fpu/libm-test-ulps: Modified.

2025-01-04  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 377a61c020ecbc1fb127972720c8caf03bd60481
	math: update loongarch64 ulps

	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.

2025-01-04  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 5ecdbe3305edf801f1195288ddf662524841e4e3
	Regenerate libc.pot

	* po/libc.pot: Modified.

2025-01-04  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 8e524ff79b894d6cf49d873546d8ff92b4c98622
	loongarch: Provide stpcpy in stpcpy-aligned.S for rtld [BZ #32512]

	* sysdeps/loongarch/lp64/multiarch/stpcpy-aligned.S: Modified.

2025-01-03  Luna Lamb  <luna.lamb@arm.com>

	COMMIT: f86b4cf87581cf1e45702b07880679ffa0b1f47a
	AArch64: Improve codegen in SVE expm1f and users

	* sysdeps/aarch64/fpu/expm1f_sve.c: Modified.
	(poly_sve_f32.h): Remove include.
	(data): Modified.
	(C): Remove.
	(SV_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/sinhf_sve.c: Modified.
	(SV_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/sv_expm1f_inline.h: Modified.
	(sv_expm1f_data): Modified.
	(SV_EXPM1F_DATA): Modified.
	(C): Remove.
	(expm1f_inline): Modified function.
	* sysdeps/aarch64/fpu/tanhf_sve.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(SV_NAME_F1): Modified function.
	(BoringBound): New.

2025-01-03  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 080998f6e7a2a5ec5425a3a4131e182085a64849
	AArch64: Add vector tanpi routines

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanpi): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanpif): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanpil): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanpif16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanpif32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanpif64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanpif128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanpif32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanpif64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanpif128x): New.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Remove.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): New function.
	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_tanpif): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_tanpi): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_tanpif): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_tanpi): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_tanpi): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_tanpif): New.
	* sysdeps/aarch64/fpu/tanpi_advsimd.c: New file.
	* sysdeps/aarch64/fpu/tanpi_sve.c: New file.
	* sysdeps/aarch64/fpu/tanpif_advsimd.c: New file.
	* sysdeps/aarch64/fpu/tanpif_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2025-01-03  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 40c3a0629321eb2442a220cd9254a0086f70c422
	AArch64: Add vector cospi routines

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cospi): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cospif): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cospil): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cospif16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cospif32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cospif64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cospif128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cospif32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cospif64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cospif128x): New.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Remove.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): New function.
	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_cospif): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_cospi): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_cospif): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_cospi): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_cospi): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_cospif): New.
	* sysdeps/aarch64/fpu/cospi_advsimd.c: New file.
	* sysdeps/aarch64/fpu/cospi_sve.c: New file.
	* sysdeps/aarch64/fpu/cospif_advsimd.c: New file.
	* sysdeps/aarch64/fpu/cospif_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2025-01-03  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 6050b45716ed76b9c5407bea160db53195dcc445
	AArch64: Add vector sinpi to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinpi): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinpif): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinpil): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinpif16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinpif32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinpif64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinpif128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinpif32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinpif64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinpif128x): New.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Remove.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL_VEC): New function.
	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): Modified.
	(libmvec_hidden_proto): New function.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_sinpif): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_sinpi): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_sinpif): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_sinpi): New function.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_sinpi): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_sinpif): New.
	* sysdeps/aarch64/fpu/sinpi_advsimd.c: New file.
	* sysdeps/aarch64/fpu/sinpi_sve.c: New file.
	* sysdeps/aarch64/fpu/sinpif_advsimd.c: New file.
	* sysdeps/aarch64/fpu/sinpif_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2025-01-03  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 939e770e0196ebd763cacc602421b76d62df0798
	math: Remove no-mathvec flag

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-expm1: Modified.
	* math/auto-libm-test-out-log1p: Modified.
	* math/auto-libm-test-out-sin: Modified.
	* math/auto-libm-test-out-tan: Modified.
	* math/auto-libm-test-out-tanh: Modified.
	* math/gen-auto-libm-tests.c: Modified.
	(input_flag_type): Modified.
	(output_for_one_input_case): Modified function.
	* math/gen-libm-test.py: Modified.
	* math/libm-test-support.c: Modified.
	(check_float_internal): Modified function.

2025-01-03  Yat Long Poon  <yatlong.poon@arm.com>

	COMMIT: 91c1fadba338752bf514cd4cca057b27b1b10eed
	AArch64: Improve codegen for SVE log1pf users

	* sysdeps/aarch64/fpu/acoshf_sve.c: Modified.
	(special_case): Modified function.
	(SV_NAME_F1): Modified function.
	(sv_math.h): Include file.
	* sysdeps/aarch64/fpu/asinhf_sve.c: Modified.
	(BigBound): Modified.
	(special_case): Modified function.
	(SV_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/atanhf_sve.c: Modified.
	(special_case): Modified function.
	(SV_NAME_F1): Modified function.
	(sv_math.h): Include file.
	* sysdeps/aarch64/fpu/log1pf_sve.c: Modified.
	(poly_sve_f32.h): Remove include.
	(data): Remove.
	(sv_log1pf_inline.h): Include file.
	(special_case): New function.
	(SV_NAME_F1): New function.
	(strong_alias): New.
	* sysdeps/aarch64/fpu/sv_log1pf_inline.h: Modified.
	(poly_sve_f32.h): Remove include.
	(sv_log1pf_data): Modified.
	(eval_poly): Remove function.
	(sv_log1pf_inline): Modified function.
	(SignExponentMask): New.

2025-01-03  Yat Long Poon  <yatlong.poon@arm.com>

	COMMIT: 32d193a372feb28f9da247bb7283d404b84429c6
	AArch64: Improve codegen for SVE logs

	* sysdeps/aarch64/fpu/log10_sve.c: Modified.
	(Off): Remove.
	(special_case): Modified function.
	(SV_NAME_D1): Modified function.
	(data): New.
	* sysdeps/aarch64/fpu/log2_sve.c: Modified.
	(Off): Remove.
	(special_case): Modified function.
	(SV_NAME_D1): Modified function.
	(data): New.
	* sysdeps/aarch64/fpu/log_sve.c: Modified.
	(P): Remove.
	(Off): Remove.
	(MaxTop): Remove.
	(MinTop): Remove.
	(ThreshTop): Remove.
	(special_case): Modified function.
	(SV_NAME_D1): Modified function.
	(Max): New.
	(Min): New.
	(Thresh): New.
	(data): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.

2025-01-03  Luna Lamb  <luna.lamb@arm.com>

	COMMIT: aa6609feb20ebf8653db639dabe2a6afc77b02cc
	AArch64: Improve codegen in SVE tans

	* sysdeps/aarch64/fpu/tan_sve.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(SV_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/tanf_sve.c: Modified.
	(SV_NAME_F1): Modified function.

2025-01-03  Luna Lamb  <luna.lamb@arm.com>

	COMMIT: 140b985e5a2071000122b3cb63ebfe88cf21dd29
	AArch64: Improve codegen in AdvSIMD asinh

	* sysdeps/aarch64/fpu/asinh_advsimd.c: Modified.
	(A): Remove.
	(data): Modified.
	(special_case): Modified function.
	(log_inline): Modified function.
	(V_NAME_D1): Modified function.

2025-01-04  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: bb4f241dba734ddb1bd6e436b21938c1317a8fb4
	math: Add a reference to Clang's <tgmath.h> C23 issue

	* math/Makefile: Modified.

2025-01-04  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 1294926da37cedb1aba46e4b2fef70ac2ceee105
	Rename have-mtls-descriptor to have-test-mtls-descriptor

	* Makefile.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* elf/Makefile: Modified.
	* sysdeps/arm/Makefile: Modified.
	* sysdeps/unix/sysv/linux/x86_64/Makefile: Modified.

2025-01-03  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 3674004f3f29fc918d4e81062558ad916e99c3dd
	math: update powerpc ulps

	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.

2025-01-03  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 59b9c2b0ef782e408d63eb0149ba3bd00c5b2065
	math: update sparc ulps

	* sysdeps/sparc/fpu/libm-test-ulps: Modified.

2025-01-03  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: e71b548fac077e1b142f566628d36ec0b513aca9
	math: update s390 ulps

	* sysdeps/s390/fpu/libm-test-ulps: Modified.

2025-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8ed53717c4f0a480f4d53e8baae91bcb98a962ce
	conform: Do not use __SIG_ATOMIC_TYPE__

	* conform/conformtest.py: Modified.
	* conform/data/stdint.h-data: Modified.

2025-01-03  H.J. Lu  <hjl.tools@gmail.com>
            Joseph Myers  <joseph@codesourcery.com>
            Wilco Dijkstra  <wdijkstr@arm.com>

	COMMIT: e9eea05986e4a02f1169ef0775c1d05802c5287f
	Redirect mempcpy and stpcpy only in libc.a

	* include/string.h: Modified.
	[! _ISOMAC][(!IS_IN (libc) || ! SHARED)  && ! NO_MEMPCPY_STPCPY_REDIRECT](__typeof): Remove.
	[! _ISOMAC][(!IS_IN (libc) || ! SHARED)  && ! NO_MEMPCPY_STPCPY_REDIRECT](__typeof): Remove.
	[! _ISOMAC][IS_IN (libc) && ! SHARED  && ! NO_MEMPCPY_STPCPY_REDIRECT](__typeof): New.
	[! _ISOMAC][IS_IN (libc) && ! SHARED  && ! NO_MEMPCPY_STPCPY_REDIRECT](__typeof): New.

2025-01-03  H.J. Lu  <hjl.tools@gmail.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ed97ef7a4ba990132e5eadcf95cb31ef602f3603
	not-cancel.h: Support testing fortify build with Clang

	* sysdeps/unix/sysv/linux/not-cancel.h: Modified.
	(__open_nocancel): Remove.
	(__open64_nocancel): Remove.
	(__openat_nocancel): Remove.
	(__openat64_nocancel): Remove.
	(__fcntl64_nocancel): Remove.
	(__open_nocancel): New function.
	(__open64_nocancel): New function.
	(__openat_nocancel): New function.
	(__openat64_nocancel): New function.
	(__fcntl64_nocancel): New function.

2025-01-03  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: dbc9a4000703c75cb4867d66d2e2ce796b283893
	tst-unique[34].cc: Use explicit instantiation declaration/definition

	* elf/tst-unique3.cc: Modified.
	* elf/tst-unique4.cc: Modified.
	* elf/tst-unique4lib.cc: Modified.

2025-01-02  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: d4b16e22e77ff63ff9a5b9aecc9521469965f0ba
	RISC-V: Regenerate ULPs

	* sysdeps/riscv/rvd/libm-test-ulps: Modified.

2025-01-02  Sam James  <sam@gentoo.org>

	COMMIT: e9be7701e6cd2b7be5454efaece3abc7ec9102ce
	mlock, mlock2, munlock: Use __attr_access_none macro

	* misc/sys/mman.h: Modified.
	(mlock): Modified.
	(munlock): Modified.
	* sysdeps/unix/sysv/linux/bits/mman-shared.h: Modified.
	[__USE_GNU](mlock2): Modified.

2025-01-02  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 0ab62fa4f6c5ed24afe9a51f13aa759f5e88ec01
	AArch64: Update libm-test-ulps

	* sysdeps/aarch64/libm-test-ulps: Modified.

2025-01-02  Paul Zimmermann  <Paul.Zimmermann@inria.fr>

	COMMIT: e5ca265a9c9054c01c7811751e035bbe998f49b8
	new inputs with large errors for [a]cospi, [a]sinpi, [a]tanpi, atan2pi

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-acospi: Modified.
	* math/auto-libm-test-out-asinpi: Modified.
	* math/auto-libm-test-out-atan2pi: Modified.
	* math/auto-libm-test-out-atanpi: Modified.
	* math/auto-libm-test-out-cospi: Modified.
	* math/auto-libm-test-out-sinpi: Modified.
	* math/auto-libm-test-out-tanpi: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2025-01-02  Sam James  <sam@gentoo.org>

	COMMIT: 6d556522c3e59734502f988d6574ee4d551f0d6b
	stdlib: fix lint failure

	* stdlib/Makefile: Modified.

2025-01-02  Sam James  <sam@gentoo.org>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d5bceac99d24af1131b90027dab267e437b65cd1
	stdlib: random_r: fix unaligned access in initstate and initstate_r [BZ #30584]

	* stdlib/Makefile: Modified.
	* stdlib/random_r.c: Modified.
	(__srandom_r): Modified function.
	(__initstate_r): Modified function.
	(__setstate_r): Modified function.
	(__random_r): Modified function.
	(string.h): Include file.
	(read_state): New function.
	(write_state): New function.
	* stdlib/tst-random-bz30584.c: New file.

2025-01-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6f0ea84f17581d13ad668adbc181c37141d389b8
	assert: Remove the use of %n from __assert_fail_base (BZ #32456)

	* assert/assert-perr.c: Modified.
	(__assert_perror_fail): Modified function.
	* assert/assert.c: Modified.
	(assert.h): Remove include.
	(atomic.h): Remove include.
	(stdio.h): Remove include.
	(stdlib.h): Remove include.
	(sysdep.h): Remove include.
	(sys/mman.h): Remove include.
	(wchar.h): Remove include.
	(__assert_fail_base): Modified function.
	(__assert_fail): Modified function.
	* po/libc.pot: Modified.

2025-01-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 37d0a3e55a0d92eaf5c7892eb49abfc041eb0b65
	Translations: Regenerate libc.pot

	* po/libc.pot: Modified.

2025-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cc74583f23657515b1d09d0765032422af71de52
	elf: Remove the remaining uses of GET_ADDR_OFFSET

	* sysdeps/loongarch/dl-tls.h: Modified.
	(GET_ADDR_OFFSET): Remove.
	* sysdeps/loongarch/libc-tls.c: Modified.
	(__tls_get_addr): Modified function.
	* sysdeps/m68k/dl-tls.h: Modified.
	(GET_ADDR_OFFSET): Remove.
	* sysdeps/m68k/libc-tls.c: Modified.
	(__tls_get_addr): Modified function.
	* sysdeps/mips/dl-tls.h: Modified.
	(GET_ADDR_OFFSET): Remove.
	* sysdeps/mips/libc-tls.c: Modified.
	(__tls_get_addr): Modified function.
	* sysdeps/powerpc/dl-tls.h: Modified.
	[SHARED](GET_ADDR_OFFSET): Remove.
	* sysdeps/riscv/dl-tls.h: Modified.
	(GET_ADDR_OFFSET): Remove.
	* sysdeps/riscv/libc-tls.c: Modified.
	(__tls_get_addr): Modified function.

2025-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 30e32da6aafcef5a5d5a1c91e233636db6493fc8
	elf: Use TLS_DTV_OFFSET in __tls_get_addr

	* elf/dl-tls.c: Modified.
	[SHARED](tls_get_addr_tail): Modified function.
	[SHARED](update_get_addr): Modified function.
	[SHARED](__tls_get_addr): Modified function.
	[SHARED](tls_get_addr_adjust): New function.

2025-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 91ee75abcf3f92f63c59fb92a5c5d33bd8988362
	s390: Define TLS_DTV_OFFSET instead of GET_ADDR_OFFSET

	* sysdeps/s390/dl-tls.h: Modified.
	[SHARED](GET_ADDR_OFFSET): Remove.
	(TLS_DTV_OFFSET): New.

2025-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ceae7e2770302b04a9f9321b66dc8978c9747bd1
	elf: Introduce generic <dl-tls.h>

	* sysdeps/aarch64/dl-tls.h: Delete file.
	* sysdeps/alpha/dl-tls.h: Delete file.
	* sysdeps/arc/dl-tls.h: Delete file.
	* sysdeps/arm/dl-tls.h: Delete file.
	* sysdeps/csky/dl-tls.h: Delete file.
	* sysdeps/generic/dl-tls.h: Modified.
	(architecture-specific version of <dl-tls.h> missing"): Remove.
	(_DL_TLS_H): New.
	(tls_index): New.
	(__tls_get_addr): New function.
	(TLS_DTV_OFFSET): New.
	* sysdeps/hppa/dl-tls.h: Delete file.
	* sysdeps/i386/dl-tls.h: Modified.
	(TLS_DTV_OFFSET): New.
	* sysdeps/microblaze/dl-tls.h: Delete file.
	* sysdeps/or1k/dl-tls.h: Delete file.
	* sysdeps/sh/dl-tls.h: Delete file.
	* sysdeps/sparc/dl-tls.h: Delete file.
	* sysdeps/x86_64/dl-tls.h: Move to...
	* sysdeps/x86_64/x32/dl-tls.h: ... here.
	(TLS_DTV_OFFSET): New.

2025-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 64d07e117d93a8f0db324c376e0344d9aca21f6f
	powerpc: Update acosf ulps

	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.

2025-01-02  gfleury  <gfleury@disroot.org>

	COMMIT: 396048fa5a41be38d196e03175ccc4bd318f4fb6
	htl: move pthread_mutexattr_setprioceiling, pthread_mutexattr_getprioceiling into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(__pthread_mutexattr_getprioceiling): New function.
	(__pthread_mutexattr_setprioceiling): New function.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/htl/pt-mutexattr-getprioceiling.c: Modified.
	(pthread.h): Remove include.
	(pthread_mutexattr_getprioceiling): Remove function.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_41)](compat_symbol): New.
	(pthreadP.h): Include file.
	(shlib-compat.h): Include file.
	(__pthread_mutexattr_getprioceiling): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/htl/pt-mutexattr-setprioceiling.c: Modified.
	(pthread.h): Remove include.
	(pthread_mutexattr_setprioceiling): Remove function.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_41)](compat_symbol): New.
	(pthreadP.h): Include file.
	(shlib-compat.h): Include file.
	(__pthread_mutexattr_setprioceiling): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-01-02  gfleury  <gfleury@disroot.org>

	COMMIT: 4371b11c86d160091ccdb56b974d24f41a5c0958
	htl: move pthread_mutexattr_{setrobust, setrobust_np}, pthread_mutexattr_{getrobust, getrobust_np} into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(__pthread_mutexattr_getrobust): New function.
	(__pthread_mutexattr_getrobust_np): New function.
	(__pthread_mutexattr_setrobust_np): New function.
	(__pthread_mutexattr_setrobust): New function.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/htl/pt-mutexattr-getrobust.c: Modified.
	(pthread.h): Remove include.
	(pthread_mutexattr_getrobust): Remove function.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_32, GLIBC_2_41)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_32, GLIBC_2_41)](compat_symbol): New.
	(pthreadP.h): Include file.
	(shlib-compat.h): Include file.
	(__pthread_mutexattr_getrobust): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/htl/pt-mutexattr-setrobust.c: Modified.
	(pthread.h): Remove include.
	(pthread_mutexattr_setrobust): Remove function.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_32, GLIBC_2_41)](compat_symbol): New.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_32, GLIBC_2_41)](compat_symbol): New.
	(pthreadP.h): Include file.
	(shlib-compat.h): Include file.
	(__pthread_mutexattr_setrobust): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-01-02  gfleury  <gfleury@disroot.org>

	COMMIT: 1e5b39a5e05c82eb2eef38b1982c756e2237cd90
	htl: move pthread_mutexattr_setpshared, pthread_mutexattr_getpshared into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(__pthread_mutexattr_getpshared): New function.
	(__pthread_mutexattr_setpshared): New function.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/htl/pt-mutexattr-getpshared.c: Modified.
	(pthread.h): Remove include.
	(pthread_mutexattr_getpshared): Remove function.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_41)](compat_symbol): New.
	(pthreadP.h): Include file.
	(shlib-compat.h): Include file.
	(__pthread_mutexattr_getpshared): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/htl/pt-mutexattr-setpshared.c: Modified.
	(pthread.h): Remove include.
	(pthread_mutexattr_setpshared): Remove function.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_41)](compat_symbol): New.
	(pthreadP.h): Include file.
	(shlib-compat.h): Include file.
	(__pthread_mutexattr_setpshared): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-01-02  gfleury  <gfleury@disroot.org>

	COMMIT: b386295727d35a83aa3d4750e198cbf8040c9a23
	htl: move pthread_mutexattr_settype, pthread_mutexattr_gettype into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(__pthread_mutexattr_gettype): New function.
	(__pthread_mutexattr_settype): New function.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/htl/pt-mutexattr-gettype.c: Modified.
	(pthread.h): Remove include.
	(pthread_mutexattr_gettype): Remove function.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_41)](compat_symbol): New.
	(pthreadP.h): Include file.
	(shlib-compat.h): Include file.
	(__pthread_mutexattr_gettype): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/htl/pt-mutexattr-settype.c: Modified.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_41)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-01-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 3cd1cf5fe07b9edba5bcf7ae004c79aea9c488dd
	htl: move pthread_mutexattr_setprotocol into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(__pthread_mutexattr_setprotocol): New function.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/htl/pt-mutexattr-setprotocol.c: Modified.
	(pthread.h): Remove include.
	(pthread_mutexattr_setprotocol): Remove function.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_41)](compat_symbol): New.
	(pthreadP.h): Include file.
	(shlib-compat.h): Include file.
	(__pthread_mutexattr_setprotocol): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-01-02  gfleury  <gfleury@disroot.org>

	COMMIT: 15686aa188d280de3c271b4b1b115aa35c1e6851
	htl: move pthread_mutexattr_getprotocol into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(__pthread_mutexattr_getprotocol): New function.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/htl/pt-mutexattr-getprotocol.c: Modified.
	(pthread.h): Remove include.
	(pthread_mutexattr_getprotocol): Remove function.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_41)](compat_symbol): New.
	(pthreadP.h): Include file.
	(shlib-compat.h): Include file.
	(__pthread_mutexattr_getprotocol): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-01-01  gfleury  <gfleury@disroot.org>

	COMMIT: beabc5dff50230dfc9b5cda9448559952fdc470a
	htl: move pthread_mutexattr_destroy into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/htl/libc-lockP.h: Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Remove.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/htl/pt-mutexattr-destroy.c: Modified.
	(hidden_def): New.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-01-01  gfleury  <gfleury@disroot.org>

	COMMIT: 826b1bbccab9f7f82c9541fc6d8fca00ba8a91bf
	htl: move pthread_mutexattr_init into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/htl/libc-lockP.h: Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Remove.
	(libc_hidden_proto): New.
	* sysdeps/htl/pthreadP.h: Modified.
	(__pthread_mutexattr_init): Remove.
	* sysdeps/mach/hurd/htl/pt-mutexattr-init.c: Modified.
	(hidden_def): New.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2025-01-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: cf13f740a91b5bbf6bb60a30b45c2a3933ff1259
	bits/socket.h: Update to recent BSD definition

	* bits/socket.h: Modified.
	[__WORDSIZE != 64][! __glibc_c99_flexarr_available](CMSG_DATA): Remove.
	[__WORDSIZE != 64][__glibc_c99_flexarr_available](CMSG_DATA): Remove.
	[__WORDSIZE != 64](cmsghdr): Modified.
	[__WORDSIZE != 64](CMSG_DATA): New.
	* sysdeps/mach/hurd/bits/socket.h: Modified.
	[__WORDSIZE != 64][! __glibc_c99_flexarr_available](CMSG_DATA): Remove.
	[__WORDSIZE != 64][__glibc_c99_flexarr_available](CMSG_DATA): Remove.
	[__WORDSIZE != 64](cmsghdr): Modified.
	[__WORDSIZE != 64](CMSG_DATA): New.

2025-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 6e177ca635f5879eb35573f3c199b1c14e978ab7
	Don't update copyright notices in Linux licenses

	* scripts/update-copyrights: Modified.

2025-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 2d7029f20fb22771f8a71a8a8f93f02a4bb27a8b
	Fix license typo induced by update-copyrighyt

	* support/bundled/linux/LICENSES/preferred/GPL-2.0: Modified.

2025-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: ba995af76dbdb0f6c783e4c44829f2fececebf0e
	Update copyright dates not handled by scripts/update-copyrights

	* locale/programs/charmap-kw.h: Modified.
	* locale/programs/locfile-kw.h: Modified.
	* localedata/unicode-gen/Makefile: Modified.
	* malloc/mtrace.pl: Modified.
	* scripts/test-installation.pl: Modified.

2025-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: ad16577ae1774947e540f827c11b36c5d6cd96fd
	Update copyright in generated files by running "make"

	* sysdeps/arm/preconfigure: Modified.
	* sysdeps/csky/preconfigure: Modified.
	* sysdeps/loongarch/preconfigure: Modified.
	* sysdeps/microblaze/preconfigure: Modified.
	* sysdeps/powerpc/preconfigure: Modified.
	* sysdeps/sh/preconfigure: Modified.
	* sysdeps/unix/sysv/linux/configure: Modified.
	* sysdeps/x86_64/configure: Modified.
	* sysdeps/x86_64/preconfigure: Modified.

2025-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 2642002380aafb71a1d3b569b6d7ebeab3284816
	Update copyright dates with scripts/update-copyrights

	* Suppressing diff as too many files differ.

2025-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: b1da163a2129a6a07037a326c8c514d7a7eab191
	Pass glibc pre-commit checks

	* assert/test-assert-2.c: Modified.
	* elf/tst-startup-errno.c: Modified.

2025-01-01  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 013106ae677af9836614ace1a01d25b63fa555a7
	mlock, mlock2, munlock: Tell the compiler we don't dereference the pointer

	* misc/sys/mman.h: Modified.
	(mlock): Modified.
	(munlock): Modified.
	* sysdeps/unix/sysv/linux/bits/mman-shared.h: Modified.
	[__USE_GNU](mlock2): Modified.

2024-12-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 58272284b633e5fd17293abdc55d56e546a1b02a
	elf: Add glibc.rtld.execstack

	* NEWS: Modified.
	* elf/Makefile: Modified.
	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	(dl-tunables.h): Include file.
	* elf/dl-support.c: Modified.
	[! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): Modified function.
	(__rtld_lock_define_initialized_recursive): Modified function.
	(dl-tunables.h): Include file.
	* elf/dl-tunables.list: Modified.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* elf/tst-rtld-list-tunables.exp: Modified.
	* manual/tunables.texi: Modified.

2024-12-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c9540704ac187e31bb35509b5e0fc1472b9ae1d9
	elf: Add tst-execstack-prog-static

	* elf/Makefile: Modified.
	* elf/tst-execstack-prog-static.c: New file.

2024-12-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0ca8785a28515291d4ef074b5b6cfb27434c1d2b
	elf: Do not change stack permission on dlopen/dlmopen

	* NEWS: Modified.
	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	* elf/dl-support.c: Modified.
	[! PTHREAD_IN_LIBC](_dl_make_stack_executable): Remove.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* elf/tst-execstack.c: Modified.
	[USE_PTHREADS](pthread.h): Remove include.
	[USE_PTHREADS](tryme_thread): Remove function.
	[USE_PTHREADS](waiter_thread): Modified function.
	[USE_PTHREADS][DEFAULT_RWX_STACK](tryme_thread): New.
	(deeper): Remove.
	(do_test): Modified function.
	(deeper): Remove function.
	[! DEFAULT_RWX_STACK](DEFAULT_RWX_STACK): New.
	[DEFAULT_RWX_STACK](deeper): New.
	(stdlib.h): Include file.
	* nptl/allocatestack.c: Modified.
	(allocate_stack): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[! PTHREAD_IN_LIBC](_dl_make_stack_executable): Remove.
	[! PTHREAD_IN_LIBC](rtld_hidden_proto): Remove.
	[PTHREAD_IN_LIBC](_dl_make_stacks_executable): Remove.
	[SHARED](rtld_global): Modified.
	(_dl_make_stack_executable): New function.
	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/dl-execstack.c: Modified.
	(rtld_hidden_def): Remove.
	* sysdeps/nptl/pthreadP.h: Modified.
	(__nptl_change_stack_perm): Remove.
	(rtld_hidden_proto): Modified.
	(rtld_hidden_proto): Remove.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/dl-execstack.c: Modified.
	(errno.h): Remove include.
	(libintl.h): Remove include.
	(list.h): Remove include.
	(pthreadP.h): Remove include.
	(stackinfo.h): Remove include.
	(stdbool.h): Remove include.
	(sys/mman.h): Remove include.
	(sysdep.h): Remove include.
	(unistd.h): Remove include.
	(make_main_stack_executable): Remove function.
	(_dl_make_stacks_executable): Remove function.
	(__nptl_change_stack_perm): Remove function.
	(rtld_hidden_def): Remove.
	(_dl_make_stack_executable): New function.
	* sysdeps/unix/sysv/linux/mips/Makefile: Modified.

2024-12-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ca96ea06b37c8601dcc9579dd4c8619322ab1ea1
	elf: Cleanup and improve tst-execstack

	* elf/tst-execstack.c: Modified.
	[USE_PTHREADS](waiter_thread): Modified function.
	(dlfcn.h): Remove include.
	(stdio.h): Remove include.
	(unistd.h): Remove include.
	(print_maps): Remove function.
	(do_test): Modified function.
	(array_length.h): Include file.
	(support/xdlfcn.h): Include file.
	(support/xthread.h): Include file.
	(support/check.h): Include file.
	(support/xstdio.h): Include file.

2024-12-31  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 7962fa38e29ec86ea5ea8451bfbfebf9d13f1136
	Use GCC 14 branch in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2024-12-30  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 0feb6da94c435a81699bfeacdc84150098f64025
	INSTALL, NEWS: Document requirement of gawk with MPFR support

	* INSTALL: Modified.
	* NEWS: Modified.
	* manual/install.texi: Modified.

2024-12-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 29531b122cbd2502d5434f20a072177b224fa292
	Mention CORE-MATH optimize routines on NEWS

	* NEWS: Modified.

2024-12-30  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0ee6e13f7f0634bb7858dcc99222f96054f3612d
	x86-64: Reorder dynamic linker list in ldd script (bug 32508)

	* sysdeps/unix/sysv/linux/x86_64/ldd-rewrite.sed: Modified.

2024-12-27  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 0852c4aab7870adbd188f7d27985f1631c8596df
	nptl: hppa: replace __get_cr27 with __thread_pointer

	* sysdeps/hppa/nptl/thread_pointer.h: Modified.
	(__set_thread_pointer): New function.
	* sysdeps/hppa/nptl/tls.h: Modified.
	[! __ASSEMBLER__](INSTALL_NEW_DTV): Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	[! __ASSEMBLER__](THREAD_DTV): Modified.
	[! __ASSEMBLER__](THREAD_SELF): Modified.
	[! __ASSEMBLER__](__get_cr27): Remove function.
	[! __ASSEMBLER__](__set_cr27): Remove function.
	[! __ASSEMBLER__](thread_pointer.h): Include file.

2024-12-27  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 6fdb6abeb2db516c436fb34411debba555499e19
	nptl: Add <thread_pointer.h> for hppa

	* sysdeps/hppa/nptl/thread_pointer.h: New file.

2024-12-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cb4692ce1edd5a81c2521de49dfef6125141d1c7
	libio: asprintf should write NULL upon failure

	* libio/Makefile: Modified.
	* libio/tst-asprintf-null.c: New file.
	* libio/vasprintf.c: Modified.
	(__vasprintf_internal): Modified function.
	* manual/stdio.texi: Modified.

2024-12-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7c22dcda27743658b6b8ea479283b384ad56bd5a
	nptl: More useful padding in struct pthread

	* nptl/descr.h: Modified.
	(pthread): Modified.

2024-12-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5e249192cac7354af02a7347a0d8c984e0c88ed3
	elf: Remove the GET_ADDR_ARGS and related macros from the TLS code

	* elf/dl-tls.c: Modified.
	[SHARED][! GET_ADDR_ARGS](GET_ADDR_ARGS): Remove.
	[SHARED][! GET_ADDR_ARGS](GET_ADDR_PARAM): Remove.
	[SHARED][! GET_ADDR_MODULE](GET_ADDR_MODULE): Remove.
	[SHARED][! GET_ADDR_OFFSET](GET_ADDR_OFFSET): Remove.
	[SHARED][! __tls_get_addr](__tls_get_addr): Modified.
	[SHARED](tls_get_addr_tail): Modified function.
	[SHARED](update_get_addr): Modified function.
	[SHARED](__tls_get_addr): Modified function.
	* sysdeps/x86_64/dl-tls.c: Modified.
	[SHARED](__tls_get_addr_slow): Modified function.

2024-12-27  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 7fa9e786b6e8f78675ecc30d7eaa200e1ee259b9
	hurd: Avoid asm statements which return

	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(RETURN_TO_TRAMPOLINE): New function.
	* sysdeps/mach/hurd/i386/sigreturn.c: Modified.
	(asm): Modified.
	(__sigreturn2): Modified function.
	(__sigreturn): Modified function.
	(asm): New function.
	* sysdeps/mach/hurd/init-first.c: Modified.
	[! SHARED](RETURN_TO_TRAMPOLINE): New function.
	* sysdeps/mach/hurd/x86_64/sigreturn.c: Modified.
	(__sigreturn2): Modified function.
	(__sigreturn): Modified function.
	(asm): New function.
	(asm): New function.
	* sysdeps/mach/x86/sysdep.h: Modified.
	[! __x86_64__](RETURN_TO): Remove.
	[! __x86_64__](RETURN_TO_TRAMPOLINE): New.
	[__x86_64__](RETURN_TO): Remove.
	[__x86_64__](RETURN_TO_TRAMPOLINE): New.
	[! __ASSEMBLER__](return_to_trampoline): New.
	(RETURN_TO): New.

2024-12-25  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 757ac24f8f2344e5f8afd2465c808d0f6adcc948
	build-many-glibcs.py: Add --exclude option

	* scripts/build-many-glibcs.py: Modified.

2024-12-24  Sam James  <sam@gentoo.org>

	COMMIT: a3db3fe42bdf449af33fbc400f66890d2d41c3f4
	stdio-common: Tweak comment in Makefile

	* stdio-common/Makefile: Modified.

2024-12-24  Dmitry Chestnykh  <dm.chestnykh@gmail.com>

	COMMIT: 5a96da210c15e18c3c5298dc23a9e2e57691b6c6
	stdio-common: Use clang with bugfix for bug28

	* configure: Modified.
	* configure.ac: Modified.
	* stdio-common/Makefile: Modified.

2024-12-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 0c36c983ecb522688b3e4dbad6196839188509d9
	NEWS: Mention testing glibc build with a different set of compilers

	* INSTALL: Modified.
	* NEWS: Modified.
	* manual/install.texi: Modified.

2024-12-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: d0b8aa6de4529231fadfe604ac2c434e559c2d9e
	support: Add support_record_failure_barrier

	* support/check.h: Modified.
	(support_record_failure_barrier): New function.
	* support/support_record_failure.c: Modified.
	(support_record_failure_barrier): New function.

2024-12-23  Miao Wang  <shankerwangmiao@gmail.com>

	COMMIT: 55618e13968a60b89e5b226a23afaa8f17c5ef48
	io: statx, fstatat: Drop nonnull attribute on the path argument

	* io/bits/statx-generic.h: Modified.
	(statx): Modified.
	* io/sys/stat.h: Modified.
	[__USE_ATFILE][! __USE_FILE_OFFSET64](fstatat): Modified.
	[__USE_ATFILE][__USE_FILE_OFFSET64][! __USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_ATFILE][__USE_FILE_OFFSET64][__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_ATFILE][__USE_LARGEFILE64][! __USE_TIME64_REDIRECTS](fstatat64): Modified.
	[__USE_ATFILE][__USE_LARGEFILE64][__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Modified.

2024-12-23  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 15ab68bf1abddff3b2fc0fa8ed53bb42fcd66cec
	configure: Improve configure output for C++ Compiler

	* configure: Modified.
	* configure.ac: Modified.

2024-12-23  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 33aeb88c5bc9a0c6b1bd7190a0ead7570972b719
	getaddrinfo.c: Avoid uninitialized pointer access [BZ #32465]

	* nss/getaddrinfo.c: Modified.
	(add_prefixlist): Modified function.
	(gaiconf_init): Modified function.
	(valid_decimal_value): New function.

2024-12-22  gfleury  <gfleury@disroot.org>

	COMMIT: f646be6ff6e4f21e68e579904362d0d110fb3f84
	htl: move pthread_cond_timedwait, pthread_cond_clockwait, pthread_cond_wait into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/forward.c: Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Remove.
	(FORWARD): Remove.
	* htl/pt-initialize.c: Modified.
	* sysdeps/htl/pt-cond-timedwait.c: Modified.
	(weak_alias): Modified.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_21)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	(libc_hidden_def): New.
	* sysdeps/htl/pt-cond-wait.c: Modified.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_21)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/htl/pthread-functions.h: Modified.
	(__pthread_cond_wait): Remove.
	(__pthread_cond_timedwait): Remove.
	(pthread_functions): Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New function.
	(libc_hidden_proto): New function.
	(libc_hidden_proto): New function.
	* sysdeps/htl/timer_routines.c: Modified.
	(thread_func): Modified function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2024-12-22  gfleury  <gfleury@disroot.org>

	COMMIT: ba8522542fc2f1fa0a928432be91b9456ad745da
	htl: move __pthread_mutex_checklocked into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/pt-internal.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/htl/pt-mutex-checklocked.c: Modified.
	(unistd.h): Include file.
	(libc_hidden_def): New.
	* sysdeps/mach/hurd/htl/pt-mutex-consistent.c: Modified.
	(unistd.h): Include file.
	* sysdeps/mach/hurd/htl/pt-mutex-lock.c: Modified.
	(unistd.h): Include file.
	* sysdeps/mach/hurd/htl/pt-mutex-timedlock.c: Modified.
	(unistd.h): Include file.
	* sysdeps/mach/hurd/htl/pt-mutex-transfer-np.c: Modified.
	(unistd.h): Include file.
	* sysdeps/mach/hurd/htl/pt-mutex-trylock.c: Modified.
	(unistd.h): Include file.
	* sysdeps/mach/hurd/htl/pt-mutex-unlock.c: Modified.
	(unistd.h): Include file.
	* sysdeps/mach/hurd/htl/pt-mutex.h: Modified.
	(__getpid): Remove.

2024-12-22  gfleury  <gfleury@disroot.org>

	COMMIT: a369d567d206d04a7c56b388b829424046309b95
	htl: move __pthread_timedblock, __pthread_timedblock_intr, __pthread_block, __pthread_block_intr into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/pt-internal.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* sysdeps/mach/htl/pt-block.c: Modified.
	(libc_hidden_def): New.
	* sysdeps/mach/htl/pt-timedblock.c: Modified.
	(libc_hidden_def): New.

2024-12-22  gfleury  <gfleury@disroot.org>

	COMMIT: f57a277c1696ebaee340a565c7440f81f1156ba6
	htl: move pthread_cond_signal into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/forward.c: Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Remove.
	* htl/pt-initialize.c: Modified.
	* sysdeps/htl/pt-cond-signal.c: Modified.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_21)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/htl/pthread-functions.h: Modified.
	(__pthread_cond_signal): Remove.
	(pthread_functions): Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2024-12-22  gfleury  <gfleury@disroot.org>

	COMMIT: 3089d23517a0d93c645edd5129e08e8432fc3563
	htl: move pthread_cond_broadcast into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/forward.c: Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Remove.
	* htl/pt-initialize.c: Modified.
	* sysdeps/htl/pt-cond-brdcast.c: Modified.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_21)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/htl/pthread-functions.h: Modified.
	(__pthread_cond_broadcast): Remove.
	(pthread_functions): Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New function.
	* sysdeps/htl/timer_routines.c: Modified.
	(thread_cleanup): Modified function.
	(thread_expire_timer): Modified function.
	(__timer_thread_wakeup): Modified function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2024-12-22  gfleury  <gfleury@disroot.org>

	COMMIT: 917a131ab94f930ef5022f0042af95d931264b4a
	htl: move pthread_cond_destroy into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/forward.c: Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Remove.
	* htl/pt-initialize.c: Modified.
	* sysdeps/htl/pt-cond-destroy.c: Modified.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_21)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/htl/pthread-functions.h: Modified.
	(__pthread_cond_destroy): Remove.
	(pthread_functions): Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New function.
	* sysdeps/htl/timer_routines.c: Modified.
	(thread_deinit): Modified function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2024-12-22  gfleury  <gfleury@disroot.org>

	COMMIT: 4ab765c6ba7c7ec02de3b5b143032494e6a553da
	htl: move __pthread_wakeup into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/pt-internal.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New.
	* sysdeps/mach/htl/pt-wakeup.c: Modified.
	(libc_hidden_def): New.

2024-12-22  gfleury  <gfleury@disroot.org>

	COMMIT: 8735ea79ab22cad3bd975b507fd6ca4b37094bb8
	htl: move pthread_cond_init into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/forward.c: Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Modified.
	(FORWARD): Remove.
	* htl/pt-initialize.c: Modified.
	* sysdeps/htl/pt-cond-init.c: Modified.
	(weak_alias): Remove.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_21)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/htl/pthread-functions.h: Modified.
	(__pthread_cond_init): Remove.
	(pthread_functions): Modified.
	* sysdeps/htl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New.
	* sysdeps/htl/timer_routines.c: Modified.
	(thread_init): Modified function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2024-12-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: fd30525eadff6a4b2ac9478bdd6490d0c9c116d9
	assert/test-assert-2.c: Include <unistd.h>

	* assert/test-assert-2.c: Modified.
	(unistd.h): Include file.

2024-12-23  H.J. Lu  <hjl.tools@gmail.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9306aef35686ffddae4f946bd15260ad73b7f448
	stdio-common: Suppress Clang warnings on scanf13.c

	* stdio-common/Makefile: Modified.
	* stdio-common/scanf13.c: Modified.
	(main): Modified function.
	(libc-diag.h): Include file.

2024-12-23  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 31c47126f4b5203eb5f72bb9dc8ceb09cacb4574
	string: Suppress Clang warnings on tester.c

	* configure: Modified.
	* configure.ac: Modified.
	* string/Makefile: Modified.

2024-12-23  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: cb74bafbb51ba291676ab7ed3b690a47ffebc567
	Add a reference to Clang /usr/include/tgmath.h dependency

	* Makerules: Modified.

2024-12-23  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 0813cb584731c2df3c37bb3e3631ef37a821d599
	Suppress Clang -Wimplicit-fallthrough warnings

	* elf/tst-align2.c: Modified.
	(do_test): Modified function.
	(libc-diag.h): Include file.
	* misc/tst-tsearch.c: Modified.
	(mangle_tree): Modified function.
	(libc-diag.h): Include file.

2024-12-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 309225af546609c75663637e40472b4378371078
	stdio: Suppress -Wformat only for gcc in tst-sprintf-errno.c

	* stdio-common/tst-sprintf-errno.c: Modified.
	(Wformat): Modified.

2024-12-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: a2b0ff98a0d44259cc5f6bd7d3a3676ae9f8996a
	include/sys/cdefs.h: Add __attribute_optimization_barrier__

	* benchtests/bench-hash-funcs-kernel.h: Modified.
	(CAT): Modified function.
	(CAT): Modified function.
	* benchtests/bench-hash-funcs.c: Modified.
	(do_rand_test): Modified function.
	* benchtests/bench-strchr.c: Modified.
	[! USE_FOR_STRCHRNUL](do_one_rand_plus_branch_test): Modified function.
	[! USE_FOR_STRCHRNUL](do_one_rand_test): Modified function.
	* debug/tst-backtrace.h: Modified.
	(NO_INLINE): Modified.
	* debug/tst-ssp-1.c: Modified.
	(test): Modified function.
	* elf/tst-p_alignmod-base.c: Modified.
	(is_aligned_p): Modified function.
	* gmon/tst-gmon.c: Modified.
	(f1): Modified function.
	(f2): Modified function.
	(f3): Modified function.
	(sys/cdefs.h): Include file.
	* gmon/tst-mcount-overflow.c: Modified.
	(REP): Modified.
	(f2): Modified function.
	(f3): Modified function.
	(sys/cdefs.h): Include file.
	* include/sys/cdefs.h: Modified.
	[! __clang__](__attribute_optimization_barrier__): New.
	[__clang__](__attribute_optimization_barrier__): New.
	* malloc/tst-malloc-thread-exit.c: Modified.
	(unoptimized_free): Modified function.
	* malloc/tst-malloc-thread-fail.c: Modified.
	(allocate_zeroed): Modified function.
	* malloc/tst-mallocstate.c: Modified.
	(my_free): Modified function.
	* misc/tst-syscalls.c: Modified.
	(allocate): Modified function.
	(deallocate): Modified function.
	(do_mmap): Modified function.
	(reallocate): Modified function.
	(protect): Modified function.
	(do_read): Modified function.
	(do_write): Modified function.
	* nptl/tst-minstack-throw.cc: Modified.
	* nptl/tst-thread-exit-clobber.cc: Modified.
	* nptl/tst-thread_local1.cc: Modified.
	* stdlib/tst-makecontext-align.c: Modified.
	(check_align): Modified function.
	(check_align_int): Modified function.
	(check_align_long): Modified function.
	(check_align_long_long): Modified function.
	(check_align_double): Modified function.
	(check_align_4): Modified function.
	(check_align_8): Modified function.
	(check_align_16): Modified function.
	(check_align_32): Modified function.
	(check_alignments): Modified function.
	* stdlib/tst-quick_exit.cc: Modified.
	* stdlib/tst-setcontext10.c: Modified.
	(f1): Modified function.
	(f2): Modified function.
	(do_test_1): Modified function.
	* stdlib/tst-setcontext11.c: Modified.
	(call_longjmp): Modified function.
	* stdlib/tst-setcontext5.c: Modified.
	(f1): Modified function.
	(f2): Modified function.
	* stdlib/tst-setcontext8.c: Modified.
	(f2): Modified function.
	* stdlib/tst-setcontext9.c: Modified.
	(f2): Modified function.
	* stdlib/tst-swapcontext1.c: Modified.
	(func4): Modified function.
	(func3): Modified function.
	(func1): Modified function.
	(func2): Modified function.
	* stdlib/tst-swapcontext2.c: Modified.
	(func4): Modified function.
	(func3): Modified function.
	(func1): Modified function.
	(func2): Modified function.
	* stdlib/tst-thread-quick_exit.cc: Modified.
	* string/tst-xbzero-opt.c: Modified.
	(use_test_buffer): Modified function.
	* sysdeps/generic/tst-stack-align.h: Modified.
	(is_aligned): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/tst-cet-property-2.c: Modified.
	(test): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/tst-cet-setcontext-1.c: Modified.
	(f2): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/tst-cet-vfork-1.c: Modified.
	(do_test_1): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/tst-gnu2-tls2-amx.c: Modified.
	(init_tile_config): Modified function.
	* sysdeps/x86/tst-ldbl-nonnormal-printf.c: Modified.
	(fill_stack): Modified function.
	* sysdeps/x86/tst-memchr-rtm.c: Modified.
	(prepare): Modified function.
	(function): Modified function.
	* sysdeps/x86/tst-memcmp-rtm.c: Modified.
	(prepare): Modified function.
	(function): Modified function.
	* sysdeps/x86/tst-memmove-rtm.c: Modified.
	(prepare): Modified function.
	(function): Modified function.
	* sysdeps/x86/tst-memrchr-rtm.c: Modified.
	(prepare): Modified function.
	(function): Modified function.
	* sysdeps/x86/tst-memset-rtm.c: Modified.
	(prepare): Modified function.
	(function): Modified function.
	* sysdeps/x86/tst-strchr-rtm.c: Modified.
	(prepare): Modified function.
	(function): Modified function.
	* sysdeps/x86/tst-strcmp-rtm.c: Modified.
	(prepare): Modified function.
	(function): Modified function.
	* sysdeps/x86/tst-strcpy-rtm.c: Modified.
	(prepare): Modified function.
	(function): Modified function.
	* sysdeps/x86/tst-strlen-rtm.c: Modified.
	(prepare): Modified function.
	(function): Modified function.
	* sysdeps/x86/tst-strncmp-rtm.c: Modified.
	(prepare): Modified function.
	(function): Modified function.
	(function_overflow): Modified function.
	(function_overflow2): Modified function.
	* sysdeps/x86/tst-strrchr-rtm.c: Modified.
	(prepare): Modified function.
	(function): Modified function.
	* sysdeps/x86_64/tst-rsi-strlen.c: Modified.
	(do_strlen): Modified function.

2024-12-23  DJ Delorie  <dj@redhat.com>

	COMMIT: 3fb895ac88e99201573352b1abc18db4340ecede
	assert: Use __writev in assert.c [BZ #32492]

	* assert/assert.c: Modified.
	(__assert_fail_base): Modified function.

2024-12-23  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: b587e7d45c7aed0d1b1ab97d9c7d451df4837aa1
	Fix build without stack protector [BZ #32494]

	* include/libc-misc.h: Modified.
	[!(IS_IN (testsuite) || IS_IN (testsuite_internal))][! HAVE_CC_NO_STACK_PROTECTOR](test_inhibit_stack_protector): Remove.
	[!(IS_IN (testsuite) || IS_IN (testsuite_internal))][! HAVE_CC_NO_STACK_PROTECTOR](inhibit_stack_protector): New.
	* include/libc-symbols.h: Modified.
	[! _ISOMAC](config.h): Remove include.
	* string/test-string.h: Modified.
	[TEST_MAIN](libc-misc.h): Modified.

2024-12-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2271e0d2b606637870daa2a39894eb8d8bbfe5dc
	Check if TEST_CC supports -Wno-restrict before using it

	* configure: Modified.
	* configure.ac: Modified.
	* libio/Makefile: Modified.

2024-12-22  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: 325db5ab7ff6983d9e46dc3118ebfe8085d76eb9
	hppa: Simplify handling of sanity check errors in clone.S.

	* sysdeps/unix/sysv/linux/hppa/clone.S: Modified.

2024-12-22  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: 9bdb1487c5707a4f8151f60bf2c5969ad205701e
	﻿hppa: add cacheflush() syscall wrapper

	* sysdeps/unix/sysv/linux/hppa/Makefile: Modified.
	* sysdeps/unix/sysv/linux/hppa/Versions: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/sys/cachectl.h: New file.
	* sysdeps/unix/sysv/linux/hppa/syscalls.list: Modified.

2024-12-22  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: 4b37fb71e0adf6cc6ea2202b5b77febc6d70274a
	hppa: Update libm-test-ulps

	* sysdeps/hppa/fpu/libm-test-ulps: Modified.

2024-12-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: faa0c883f6c1fae7cbaa19bfda66168844fa1a86
	hurd: make mprotect translate KERN_PROTECTION_FAILURE to EACCESS

	* sysdeps/mach/mprotect.c: Modified.
	(__mprotect): Modified function.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 39a3b5c8f66efd60c39734796e5f56b2d1d14302
	Compile tst-deadline.c with -Wno-ignored-attributes for Clang

	* inet/Makefile: Modified.
	* inet/net-internal.h: Modified.
	(DIAG_IGNORE_NEEDS_COMMENT): Remove.
	(DIAG_IGNORE_NEEDS_COMMENT_GCC): New function.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5b9bc1a172dd15f3562a7305ee365d70e351f2de
	malloc: Only enable -Waggressive-loop-optimizations suppression for gcc

	* malloc/tst-dynarray.c: Modified.
	(test_long_overflow): Modified function.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: b5bdef46cc5ba30935c8c71370ab1a71bc75b283
	Suppress -Wmaybe-uninitialized only for GCC

	* nptl/tst-thread-setspecific.c: Modified.
	(DIAG_IGNORE_NEEDS_COMMENT): Modified.
	(DIAG_IGNORE_NEEDS_COMMENT): Remove.
	(DIAG_IGNORE_NEEDS_COMMENT_GCC): New function.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: daf47b66dfc100cde1ce90654c962d23750c5f97
	Suppress Clang -Wgnu-folding-constant warnings

	* libio/tst-freopen.c: Modified.
	(do_test_basic): Modified function.
	(libc-diag.h): Include file.
	* libio/tst-mmap-setvbuf.c: Modified.
	(main): Modified function.
	(libc-diag.h): Include file.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 601b3d5db27ff0c7c7406b9af971b1bc7a1e3e49
	stdio: Suppress clang warnings for tst-vprintf-width-i18n.c

	* stdio-common/tst-vfprintf-width-i18n.c: Modified.
	(do_test): Modified function.
	(libc-diag.h): Include file.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f6cf084155870578835f6c8e6f1969c8b26d11ac
	stdio: Fix clang warnings on tests

	* stdio-common/tst-scanf-to_inpunct.c: Modified.
	(do_test): Modified function.
	(libc-diag.h): Include file.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 03962d17c946ee6ca2a75bb2ed05b9402de07132
	math: Fix clang warnings for math/test-tgmath-ret.c

	* math/test-tgmath-ret.c: Modified.
	(libc-diag.h): Include file.
	(DIAG_PUSH_NEEDS_COMMENT_CLANG): New.
	(DIAG_IGNORE_NEEDS_COMMENT_CLANG): New function.
	(DIAG_POP_NEEDS_COMMENT_CLANG): New.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 27a4b6421f488753aab982dfa2b873498fe58fa2
	Suppress Clang warning on adding an integer to a string

	* dirent/tst-readdir-long.c: Modified.
	(add_directory_entry): Modified function.
	(libc-diag.h): Include file.
	* dirent/tst-rewinddir.c: Modified.
	(name_at_offset): Modified function.
	(libc-diag.h): Include file.
	* iconv/tst-iconv-sticky-input-error.c: Modified.
	(do_test): Modified function.
	(libc-diag.h): Include file.
	* posix/bug-regex24.c: Modified.
	(do_test): Modified function.
	(libc-diag.h): Include file.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 77c1128bd35009285820a5e92aa585bb74e2a5ae
	stdio: Suppress %Z format for clang

	* stdio-common/bug1.c: Modified.
	(main): Modified function.
	(libc-diag.h): Include file.
	* stdio-common/bug5.c: Modified.
	(main): Modified function.
	(libc-diag.h): Include file.
	* stdio-common/test_rdwr.c: Modified.
	(main): Modified function.
	(libc-diag.h): Include file.
	* stdio-common/tst-fphex.c: Modified.
	(do_test): Modified function.
	(libc-diag.h): Include file.
	* stdio-common/tstgetln.c: Modified.
	(main): Modified function.
	(libc-diag.h): Include file.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 69c181f2b3c25d5a8149b975167d1925be881acf
	stdio: Suppress clang warnings for tst-unlockedio.c

	* stdio-common/tst-unlockedio.c: Modified.
	(do_test): Modified function.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: cdcd551d82c204c031c96cd621b7732b8e93a555
	localedata: Fix clang warnings on tests

	* localedata/tst-trans.c: Modified.
	(do_test): Modified function.
	(libc-diag.h): Include file.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 46a813466e2da1d1e1857ff0fb41ae0814614e46
	elf: Suppress clang warning on tst-unique4

	* elf/tst-unique4.cc: Modified.
	* elf/tst-unique4lib.cc: Modified.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 8d25b9f2c82d45def99e3c7538dcd87c909aae8b
	elf: Enable tst-dlopen-nodelete-reloc if TEST_CXX supports STB_GNU_UNIQUE

	* configure: Modified.
	* configure.ac: Modified.
	* elf/Makefile: Modified.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: bce70034b1122d504c9fb794684f3ec288d955e6
	elf: Check PDE load address with non-empty text section

	* configure: Modified.
	* configure.ac: Modified.

2024-12-22  Fangrui Song  <i@maskray.me>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: d773aff467840f5ed305e40c180466e90bd88183
	x86: Define __HAVE_FLOAT128 for Clang and use __builtin_*f128 code path

	* sysdeps/x86/bits/floatn.h: Modified.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__f128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__CFLOAT128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0)](__builtin_huge_valf128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0)](__builtin_copysignf128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0)](__builtin_fabsf128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0)](__builtin_inff128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0)](__builtin_nanf128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0)](__builtin_nansf128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__f128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__mode__): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__CFLOAT128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0)  || ( __cplusplus && !__GNUC_PREREQ (13, 0))  ||  __clang__)](__f128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0)  || ( __cplusplus && !__GNUC_PREREQ (13, 0))  ||  __clang__)](__CFLOAT128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0)  || ( __cplusplus && !__GNUC_PREREQ (13, 0))  ||  __clang__](__f128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0)  || ( __cplusplus && !__GNUC_PREREQ (13, 0))  ||  __clang__](__mode__): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0)  || ( __cplusplus && !__GNUC_PREREQ (13, 0))  ||  __clang__](__CFLOAT128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0)  || ( __cplusplus && !__GNUC_PREREQ (13, 0))  || __glibc_clang_prereq (3, 4)](_Float128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) && ! __clang__](__builtin_copysignf128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) && ! __clang__](__builtin_fabsf128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) && ! __clang__](__builtin_inff128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) && ! __clang__](__builtin_nanf128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) && ! __clang__](__builtin_nansf128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) && !__glibc_clang_prereq (7, 0)](__builtin_huge_valf128): New.
	[!(( __x86_64__							 ? __GNUC_PREREQ (4, 3)						 : ( __GNU__ ? __GNUC_PREREQ (4, 5) : __GNUC_PREREQ (4, 4))))](__HAVE_FLOAT128): Remove.
	[( __x86_64__							 ? __GNUC_PREREQ (4, 3)						 : ( __GNU__ ? __GNUC_PREREQ (4, 5) : __GNUC_PREREQ (4, 4)))](__HAVE_FLOAT128): Remove.
	[!(( __x86_64__							 ? __GNUC_PREREQ (4, 3)						 : ( __GNU__ ? __GNUC_PREREQ (4, 5) : __GNUC_PREREQ (4, 4)))  || __glibc_clang_prereq (3, 4))](__HAVE_FLOAT128): New.
	[( __x86_64__							 ? __GNUC_PREREQ (4, 3)						 : ( __GNU__ ? __GNUC_PREREQ (4, 5) : __GNUC_PREREQ (4, 4)))  || __glibc_clang_prereq (3, 4)](__HAVE_FLOAT128): New.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b2556550a0f952b2a841a0b4bddc999c2df1b233
	Add clang specific warning suppression macros

	* include/libc-diag.h: Modified.
	[! __clang__](DIAG_PUSH_NEEDS_COMMENT_CLANG): New.
	[! __clang__](DIAG_POP_NEEDS_COMMENT_CLANG): New.
	[! __clang__](DIAG_IGNORE_NEEDS_COMMENT_GCC): New.
	[! __clang__](DIAG_IGNORE_NEEDS_COMMENT_CLANG): New.
	[__clang__](DIAG_PUSH_NEEDS_COMMENT_CLANG): New.
	[__clang__](DIAG_POP_NEEDS_COMMENT_CLANG): New.
	[__clang__](DIAG_IGNORE_NEEDS_COMMENT_GCC): New.
	[__clang__](DIAG_IGNORE_NEEDS_COMMENT_CLANG): New.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 6412d8cc46d7e9c8811e6251045fdefb89a5d6aa
	x86: Use inhibit_stack_protector on tst-ifunc-isa.h

	* sysdeps/x86/tst-ifunc-isa.h: Modified.
	(get_isa): Modified function.
	(foo_ifunc): Modified function.
	(libc-misc.h): Include file.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 03feea74dc75397f7eff10a92a322d235a6c1751
	elf: Compile test modules with -fsemantic-interposition

	* configure: Modified.
	* configure.ac: Modified.
	* elf/Makefile: Modified.
	* sysdeps/x86_64/Makefile: Modified.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: d085db5b57c71c3ee2fbfc38a4f7e2158abeb1d4
	tst-printf-bz18872.sh: stdio: Use __attribute__ ((optnone)) for Clang

	* stdio-common/tst-printf-bz18872.sh: Modified.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a69a0bb61975f5318d53da0a2c4e3fd5bcf7eeda
	Handle pragma GCC optimize for clang

	* libio/tst-bz24051.c: Modified.
	* libio/tst-bz24153.c: Modified.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 799e686c88f96ec418a01917bc236efd3ed0eb18
	dirent: Remove variable length array structure for tst-getdents64.c

	* sysdeps/unix/sysv/linux/tst-getdents64.c: Modified.
	(do_test_by_size): Modified function.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 494eb254c37507e836b5c791a3dbd8552777ddf7
	Add include/libc-misc.h

	* config.h.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* include/libc-misc.h: New file.
	* include/libc-symbols.h: Modified.
	[! _ISOMAC][! HAVE_CC_INHIBIT_LOOP_TO_LIBCALL](inhibit_loop_to_libcall): Remove.
	[! _ISOMAC][! HAVE_CC_NO_STACK_PROTECTOR](inhibit_stack_protector): Remove.
	[! _ISOMAC][HAVE_CC_INHIBIT_LOOP_TO_LIBCALL](inhibit_loop_to_libcall): Remove.
	[! _ISOMAC][HAVE_CC_NO_STACK_PROTECTOR](inhibit_stack_protector): Remove.
	(libc-misc.h): Include file.
	* string/test-memmove.c: Modified.
	(simple_memmove): Modified function.
	* string/test-memset.c: Modified.
	(SIMPLE_MEMSET): Modified function.
	* string/test-string.h: Modified.
	[TEST_MAIN][! HAVE_CC_INHIBIT_LOOP_TO_LIBCALL](inhibit_loop_to_libcall): Remove.
	[TEST_MAIN][HAVE_CC_INHIBIT_LOOP_TO_LIBCALL](inhibit_loop_to_libcall): Remove.
	[TEST_MAIN](config.h): Remove include.
	[TEST_MAIN](libc-misc.h): Include file.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 56cdc529fb553a307be459df3f1be90d1a231f0a
	Add test-config-cflags-float-store for -ffloat-store

	* configure: Modified.
	* configure.ac: Modified.
	* math/Makefile: Modified.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 90edd56c01bc50c55ef558871cf550199fc0f1a2
	localedata: Use hexadecimal character escape on tests

	* localedata/bug-iconv-trans.c: Modified.
	(main): Modified function.
	* localedata/tests-mbwc/dat_mbrtowc.c: Modified.
	* localedata/tests-mbwc/dat_mbsrtowcs.c: Modified.
	* localedata/tests-mbwc/dat_strcoll.c: Modified.
	* localedata/tests-mbwc/dat_swscanf.c: Modified.
	* localedata/tests-mbwc/dat_wcrtomb.c: Modified.
	* localedata/tests-mbwc/dat_wcsrtombs.c: Modified.
	* localedata/tests-mbwc/dat_wcstombs.c: Modified.
	* localedata/tests-mbwc/dat_wctomb.c: Modified.
	* localedata/tst-xlocale1.c: Modified.
	(do_test): Modified function.
	* localedata/tst-xlocale2.c: Modified.
	(str): Modified.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: e5a52298680d3af2cf384fbedbd8be22a165574f
	tst-atomic.c: Mark as UNSUPPORTED when compiled with Clang

	* misc/tst-atomic.c: Modified.
	[! atomic_t](atomic_t): Remove.
	(stdio.h): Remove include.
	(atomic.h): Remove include.
	(do_test): Remove function.
	(support/test-driver.c): Remove include.
	[! __clang__][! atomic_t](atomic_t): New.
	[! __clang__](stdio.h): New.
	[! __clang__](atomic.h): New.
	[! __clang__](do_test): New.
	[! __clang__](support/test-driver.c): New.
	[__clang__](support/test-driver.h): New.
	[__clang__](main): New.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: d9d30f6cb582fbd3932aa4731061c6335ffc5a70
	Enable execstack tests only if compiler supports trampoline

	* configure: Modified.
	* configure.ac: Modified.
	* elf/Makefile: Modified.
	* nptl/Makefile: Modified.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f5fb9fa011f242bfd8c291fe876532ebd252397e
	x86: Include test-flt-eval-method-387 if -mfpmath=387 works

	* sysdeps/x86/configure: Modified.
	* sysdeps/x86/configure.ac: Modified.
	* sysdeps/x86/fpu/Makefile: Modified.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 9151ecbb5e5a3d2ee30826ab9cce3aa5575e3a70
	x86-64: Disable libmvec ABI test for Clang

	* sysdeps/x86_64/fpu/Makefile: Modified.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: b2ec6f72b86e2ed9d0244c2b4ad801706644c43b
	Remove Clang /usr/include/tgmath.h dependency

	* Makerules: Modified.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: bdc7f4b4e25f49b4e25578d98d58b113d0e961f1
	Don't redefine INFINITY nor NAN

	* math/math.h: Modified.
	[__USE_ISOC99][!(__GNUC_PREREQ (3, 3))](INFINITY): Remove.
	[__USE_ISOC99][!(__GNUC_PREREQ (3, 3))](NAN): Remove.
	[__USE_ISOC99][__GNUC_PREREQ (3, 3)](INFINITY): Remove.
	[__USE_ISOC99][__GNUC_PREREQ (3, 3)](NAN): Remove.
	[__USE_ISOC99][! INFINITY][!(__GNUC_PREREQ (3, 3))](INFINITY): New.
	[__USE_ISOC99][! INFINITY][__GNUC_PREREQ (3, 3)](INFINITY): New.
	[__USE_ISOC99][! NAN][!(__GNUC_PREREQ (3, 3))](NAN): New.
	[__USE_ISOC99][! NAN][__GNUC_PREREQ (3, 3)](NAN): New.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 6d9d7865d029e94d1aee24c609f4d222d0620fff
	Check Clang 12 for __builtin_complex

	* math/complex.h: Modified.
	[__USE_ISOC11 && __GNUC_PREREQ (4, 7)](CMPLX): Remove.
	[__USE_ISOC11 && __GNUC_PREREQ (4, 7)](CMPLXF): Remove.
	[__USE_ISOC11 && __GNUC_PREREQ (4, 7)](CMPLXL): Remove.
	[__USE_ISOC11  && (__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (12, 0))](CMPLX): New.
	[__USE_ISOC11  && (__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (12, 0))](CMPLXF): New.
	[__USE_ISOC11  && (__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (12, 0))](CMPLXL): New.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: a0704d9fc68a84f3e7d29179c3f907fe3f10b2c3
	Use -finput-charset=ascii only if supported

	* Makefile: Modified.
	* Rules: Modified.
	* aclocal.m4: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* scripts/check-installed-headers.sh: Modified.

2024-12-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: fe925cb04585dd1cfca4094b255b3390bc56f770
	conform: Use -dD instead of -dN on compiler invocation

	* conform/conformtest.py: Modified.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 969d7cf89966d55fbf0732ae7bc0949a970c837d
	math: Exclude tgmath3-macro-tests for Clang

	* math/Makefile: Modified.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 88499d61bd9a36ae3f6bcf11dd8c33ed42062fc5
	Check if -mamx-tile works for testing

	* sysdeps/x86_64/configure: Modified.
	* sysdeps/x86_64/configure.ac: Modified.

2024-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 265e13d33c470446043a3d2033984a1197151e09
	assert: Sort tests in Makefile

	* assert/Makefile: Modified.

2024-12-20  DJ Delorie  <dj@redhat.com>

	COMMIT: e79e5c4899e82eff1032b1f8e530234c8fcbd8b9
	assert: ensure posix compliance, add tests for such

	* assert/Makefile: Modified.
	* assert/assert.c: Modified.
	(__assert_fail_base): Modified function.
	(sys/uio.h): Include file.
	(intprops.h): Include file.
	* assert/test-assert-2.c: New file.

2024-12-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            H.J. Lu  <hjl.tools@gmail.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: b3a7a15d99065fe2fc20f40da4ba20eb946b1f52
	cet: Drop '#pragma GCC target' in tst-cet-legacy-10a[-static].c

	* sysdeps/x86_64/tst-cet-legacy-10a-static.c: Modified.
	* sysdeps/x86_64/tst-cet-legacy-10a.c: Modified.

2024-12-20  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 6fd215d6ae9a4a6e75f7ea18d89db6a10f158eaf
	posix: fix system when a child cannot be created [BZ #32450]

	* stdlib/tst-system.c: Modified.
	(do_test): Modified function.
	(sys/resource.h): Include file.
	* sysdeps/posix/system.c: Modified.
	(do_system): Modified function.

2024-12-21  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 034cd675286db07110a773fdb6a857285485d2d4
	Don't use glibc <tgmath.h> when testing with Clang

	* Makeconfig: Modified.
	* include/tgmath.h: Modified.
	(math/tgmath.h): Remove include.
	[!(_ISOMAC &&  __clang__)](math/tgmath.h): New.
	[_ISOMAC &&  __clang__](_next <tgmath.h): New.
	* math/Makefile: Modified.

2024-12-21  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 6025b399c735d3d9f27472b11fad2cab4f62aeb5
	stdio-common: Exclude bug28 when clang is used

	* stdio-common/Makefile: Modified.

2024-12-21  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 40bf25b75418a7fa22ffc22dc321465ae7061cd2
	Fix elf: Introduce is_rtld_link_map [BZ #32488]

	* sysdeps/x86_64/dl-cet.c: Modified.
	(dl_check_legacy_object): Modified function.

2024-12-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c3ee51026769f11115121059ab080736fec8c64c
	math: xfail some tanpi tests for ibm128-libgcc

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-tanpi: Modified.
	* math/libm-test-tanpi.inc: Modified.

2024-12-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 495b96e064da605630a23092d1e484ade4bdc093
	elf: Reorder audit events in dlcose to match _dl_fini (bug 32066)

	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.
	* elf/tst-audit23.c: Modified.
	(CMDLINE_OPTIONS): Modified.
	(handle_restart): Modified function.
	(do_test): Modified function.
	(support/test-driver.h): Include file.
	(do_dlclose): New.
	(do_one_test): New function.

2024-12-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c4b160744cb39eca20dc36b39c7fa6e10352706c
	elf: Call la_objclose for proxy link maps in _dl_fini (bug 32065)

	* elf/dl-fini.c: Modified.
	(_dl_fini): Modified function.
	* elf/tst-audit23.c: Modified.
	(do_test): Modified function.

2024-12-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8f36b1469677afe37168f9af1b77402d7a70c673
	elf: Signal la_objopen for the proxy link map in dlmopen (bug 31985)

	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	(_dl_notify_new_object): New function.
	* elf/tst-audit23.c: Modified.
	(do_test): Modified function.
	(endswith.h): Include file.

2024-12-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a20bc2f6233a726c7df8eaa332b6e498bd59321f
	elf: Add the endswith function to <endswith.h>

	* elf/endswith.h: Modified.
	(stdbool.h): Include file.
	(endswith): New function.

2024-12-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4a50fdf8b2c1106b50cd9056b4c6f3a72cdeed5f
	elf: Update DSO list, write audit log to elf/tst-audit23.out

	* elf/tst-audit23.c: Modified.
	(do_test): Modified function.

2024-12-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ef5823d955dd7e6b4ffed9f3a8455d131cd7a737
	elf: Move _dl_rtld_map, _dl_rtld_audit_state out of GL

	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	(_dl_init_paths): Modified function.
	(_dl_map_object): Modified function.
	* elf/rtld.c: Modified.
	[! DONT_USE_BOOTSTRAP_MAP](_dl_start_final): Modified function.
	[DONT_USE_BOOTSTRAP_MAP](_dl_start_final): Modified function.
	[DONT_USE_BOOTSTRAP_MAP](bootstrap_map): Modified.
	(load_audit_module): Modified function.
	(load_audit_modules): Modified function.
	(rtld_chain_load): Modified function.
	(rtld_setup_main_map): Modified function.
	(dl_main): Modified function.
	(_dl_rtld_map): New.
	(_dl_rtld_auditstate): New.
	* elf/setup-vdso.h: Modified.
	(setup_vdso): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](rtld_global): Modified.
	[SHARED](is_rtld_link_map): Modified function.
	[SHARED](link_map_audit_state): Modified function.
	[SHARED](_dl_rtld_map): New.
	[SHARED](_dl_rtld_auditstate): New.

2024-12-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2b1dba3eb364aa65ce4ee947c39fb8d2d75e69b5
	elf: Introduce is_rtld_link_map

	* elf/dl-dst.h: Modified.
	[! SHARED](IS_RTLD): Remove.
	[SHARED](IS_RTLD): Remove.
	(DL_DST_REQUIRED): Modified.
	* elf/do-rel.h: Modified.
	(elf_dynamic_do_Rel): Modified function.
	* elf/dynamic-link.h: Modified.
	[RESOLVE_MAP](ELF_DYNAMIC_RELOCATE): Modified.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* sysdeps/arm/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rel): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[! SHARED](is_rtld_link_map): New function.
	[SHARED](link_map_audit_state): Modified function.
	[SHARED](is_rtld_link_map): New function.
	* sysdeps/mips/dl-machine.h: Modified.
	[RESOLVE_MAP][! RTLD_BOOTSTRAP](elf_machine_got_rel): Modified function.
	[RESOLVE_MAP](elf_machine_reloc): Modified function.
	* sysdeps/powerpc/powerpc64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_fixup_plt): Modified function.
	[RESOLVE_MAP](resolve_ifunc): Modified function.
	* sysdeps/sh/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.
	* sysdeps/x86/dl-prop.h: Modified.
	(dl_isa_level_check): Modified function.

2024-12-20  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 322e9d4e443084336ea41a8e7bf72456ab273b73
	Add F_CREATED_QUERY from Linux 6.12 to bits/fcntl-linux.h

	* sysdeps/unix/sysv/linux/bits/fcntl-linux.h: Modified.
	[__USE_GNU](F_CREATED_QUERY): New.

2024-12-20  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 37d9618492b53f0b0e60d498da903602377a24cd
	Add HWCAP_LOONGARCH_LSPW from Linux 6.12 to bits/hwcap.h

	* sysdeps/unix/sysv/linux/loongarch/bits/hwcap.h: Modified.
	(HWCAP_LOONGARCH_LSPW): New.

2024-12-20  Joseph Myers  <josmyers@redhat.com>

	COMMIT: fbdd8b3fa8077ad5377de5e65f7f21957193e6b8
	Add MSG_SOCK_DEVMEM from Linux 6.12 to bits/socket.h

	* sysdeps/unix/sysv/linux/bits/socket.h: Modified.

2024-12-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9a6533429e79c862a42e3be73c86272d36d0ac5d
	i386: Regenerate ulps

	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.

2024-12-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 6fba7d657872c9218af49a789322de3882054b2c
	x86_64: Regenerate ulps

	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 6a99b4172ac6eff0ddff5bf993559114257cd6ed
	aarch64: Regenerate ulps

	* sysdeps/aarch64/libm-test-ulps: Modified.

2024-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e79b9e962dffa1dd293c4cc1f59d4cf08b6fa486
	elf: Remove code dependent on __rtld_lock_default_lock_recursive macro

	* elf/dl-tls_init_tp.c: Modified.
	[SHARED &&  _LIBC_REENTRANT  &&  __rtld_lock_default_lock_recursive](rtld_lock_default_lock_recursive): Remove.
	[SHARED &&  _LIBC_REENTRANT  &&  __rtld_lock_default_lock_recursive](rtld_lock_default_unlock_recursive): Remove.
	(__tls_pre_init_tp): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](rtld_global): Modified.

2024-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 70d083630563831e7069ad412cd3ab0b33638e92
	Linux: Accept null arguments for utimensat pathname

	* io/sys/stat.h: Modified.
	[__USE_ATFILE][! __USE_TIME64_REDIRECTS](utimensat): Modified.
	[__USE_ATFILE][__USE_TIME64_REDIRECTS][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	* io/tst-utimensat.c: Modified.
	(test_utimesat_helper): Modified function.
	* sysdeps/unix/sysv/linux/utimensat.c: Modified.
	(__utimensat64): Modified function.

2024-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 30d3fd7f4f4bc8f767d73ad4e4b005c1bd234310
	x86_64: Remove unused padding from tcbhead_t

	* sysdeps/x86_64/nptl/tls.h: Modified.
	[! __ASSEMBLER__][! __ILP32__](_Static_assert): Remove.
	[! __ASSEMBLER__][__ILP32__](_Static_assert): Remove.
	[! __ASSEMBLER__](tcbhead_t): Modified.

2024-12-19  Joseph Myers  <josmyers@redhat.com>

	COMMIT: d7f587398cfda79a48cde94a38c4eee660781d30
	Add further DSO dependency sorting tests

	* elf/Makefile: Modified.
	* elf/dso-sort-tests-all.py: New file.

2024-12-19  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 539bf8dd41d28273378640891c6ef49659cdaf06
	Add NT_X86_XSAVE_LAYOUT and NT_ARM_POE from Linux 6.12 to elf.h

	* elf/elf.h: Modified.
	(NT_X86_XSAVE_LAYOUT): New.
	(NT_ARM_POE): New.

2024-12-19  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 29ae632e76e5dcb89bdbb38402af47a5040fe1d4
	Add SCHED_EXT from Linux 6.12 to bits/sched.h

	* sysdeps/unix/sysv/linux/bits/sched.h: Modified.
	[__USE_GNU](SCHED_EXT): New.
	* sysdeps/unix/sysv/linux/tst-sched-consts.py: Modified.

2024-12-19  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: 57256971b041a72d9f928bedcec6ac0e651276ee
	hppa: Fix strace detach-vfork test

	* sysdeps/unix/sysv/linux/hppa/clone.S: Modified.
	* sysdeps/unix/sysv/linux/hppa/vfork.S: New file.

2024-12-19  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 5fcee06dc7f368770c17f9a69b59fa68119a1cec
	Update kernel version to 6.12 in header constant tests

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-pidfd-consts.py: Modified.

2024-12-18  Paul Zimmermann  <Paul.Zimmermann@inria.fr>

	COMMIT: d421d36582281a62e05f96a1bfb085db9d85f40b
	added url of CORE-MATH project

	* LICENSES: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0e0be3ed803714285831b14a0032bc91b93e9027
	math: Use tanhf from CORE-MATH

	* SHARED-FILES: Modified.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/alpha/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/nofpu/libm-test-ulps: Modified.
	* sysdeps/arm/libm-test-ulps: Modified.
	* sysdeps/csky/fpu/libm-test-ulps: Modified.
	* sysdeps/csky/nofpu/libm-test-ulps: Modified.
	* sysdeps/hppa/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/flt-32/s_tanhf.c: Modified.
	[(LIBM_SCCS) && ! lint](rcsid): Remove.
	(float.h): Remove include.
	(math_private.h): Remove include.
	(math-underflow.h): Remove include.
	(one): Remove.
	(__tanhf): Modified function.
	(stdint.h): Include file.
	(math_config.h): Include file.
	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.
	* sysdeps/m68k/m680x0/fpu/libm-test-ulps: Modified.
	* sysdeps/microblaze/libm-test-ulps: Modified.
	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.
	* sysdeps/or1k/fpu/libm-test-ulps: Modified.
	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/rvd/libm-test-ulps: Modified.
	* sysdeps/s390/fpu/libm-test-ulps: Modified.
	* sysdeps/sh/libm-test-ulps: Modified.
	* sysdeps/sparc/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1751c0519ae901f519e485ac0d3e87a2d1cf7104
	math: Use sinhf from CORE-MATH

	* SHARED-FILES: Modified.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/alpha/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/nofpu/libm-test-ulps: Modified.
	* sysdeps/arm/libm-test-ulps: Modified.
	* sysdeps/csky/fpu/libm-test-ulps: Modified.
	* sysdeps/csky/nofpu/libm-test-ulps: Modified.
	* sysdeps/hppa/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/flt-32/e_sinhf.c: Modified.
	(float.h): Remove include.
	(math_private.h): Remove include.
	(math-underflow.h): Remove include.
	(one): Remove.
	(__ieee754_sinhf): Modified function.
	(stdint.h): Include file.
	(math_config.h): Include file.
	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.
	* sysdeps/microblaze/libm-test-ulps: Modified.
	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.
	* sysdeps/or1k/fpu/libm-test-ulps: Modified.
	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/rvd/libm-test-ulps: Modified.
	* sysdeps/s390/fpu/libm-test-ulps: Modified.
	* sysdeps/sh/libm-test-ulps: Modified.
	* sysdeps/sparc/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 958383678549d7f18b7d2281a52956472ebf0d67
	math: Use coshf from CORE-MATH

	* SHARED-FILES: Modified.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/alpha/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/nofpu/libm-test-ulps: Modified.
	* sysdeps/arm/libm-test-ulps: Modified.
	* sysdeps/csky/fpu/libm-test-ulps: Modified.
	* sysdeps/csky/nofpu/libm-test-ulps: Modified.
	* sysdeps/hppa/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/flt-32/e_atan2f.c: Modified.
	(__ieee754_atan2f): Modified function.
	* sysdeps/ieee754/flt-32/e_coshf.c: Modified.
	(math-narrow-eval.h): Remove include.
	(math_private.h): Remove include.
	(huge): Remove.
	(one): Remove.
	(__ieee754_coshf): Modified function.
	(stdint.h): Include file.
	(math_config.h): Include file.
	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.
	* sysdeps/microblaze/libm-test-ulps: Modified.
	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.
	* sysdeps/or1k/fpu/libm-test-ulps: Modified.
	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/rvd/libm-test-ulps: Modified.
	* sysdeps/s390/fpu/libm-test-ulps: Modified.
	* sysdeps/sh/libm-test-ulps: Modified.
	* sysdeps/sparc/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7cfd8b56982a88511e62241346b23d611f822793
	math: Use atanhf from CORE-MATH

	* SHARED-FILES: Modified.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/alpha/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/nofpu/libm-test-ulps: Modified.
	* sysdeps/arm/libm-test-ulps: Modified.
	* sysdeps/csky/fpu/libm-test-ulps: Modified.
	* sysdeps/csky/nofpu/libm-test-ulps: Modified.
	* sysdeps/hppa/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/e_atanhf.S: Delete file.
	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/flt-32/e_atanhf.c: Modified.
	(float.h): Remove include.
	(inttypes.h): Remove include.
	(math-barriers.h): Remove include.
	(math_private.h): Remove include.
	(math-underflow.h): Remove include.
	(huge): Remove.
	(__ieee754_atanhf): Modified function.
	(stdint.h): Include file.
	(math_config.h): Include file.
	(as_special): New function.
	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.
	* sysdeps/m68k/coldfire/fpu/libm-test-ulps: Modified.
	* sysdeps/microblaze/libm-test-ulps: Modified.
	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.
	* sysdeps/or1k/fpu/libm-test-ulps: Modified.
	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/rvd/libm-test-ulps: Modified.
	* sysdeps/s390/fpu/libm-test-ulps: Modified.
	* sysdeps/sh/libm-test-ulps: Modified.
	* sysdeps/sparc/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6f9bacf36b20b1a87fa4ec24c9d67c47985fbc8b
	math: Use atan2f from CORE-MATH

	* SHARED-FILES: Modified.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/alpha/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/nofpu/libm-test-ulps: Modified.
	* sysdeps/arm/libm-test-ulps: Modified.
	* sysdeps/csky/fpu/libm-test-ulps: Modified.
	* sysdeps/csky/nofpu/libm-test-ulps: Modified.
	* sysdeps/hppa/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/e_atan2f.S: Delete file.
	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/flt-32/e_atan2f.c: Modified.
	(math_private.h): Remove include.
	(tiny): Remove.
	(__ieee754_atan2f): Modified function.
	(stdint.h): Include file.
	(math_config.h): Include file.
	(muldd): New function.
	(polydd): New function.
	(cr_atan2f_tiny): New function.
	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.
	* sysdeps/m68k/coldfire/fpu/libm-test-ulps: Modified.
	* sysdeps/m68k/m680x0/fpu/libm-test-ulps: Modified.
	* sysdeps/microblaze/libm-test-ulps: Modified.
	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.
	* sysdeps/or1k/fpu/libm-test-ulps: Modified.
	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/rvd/libm-test-ulps: Modified.
	* sysdeps/s390/fpu/libm-test-ulps: Modified.
	* sysdeps/sh/libm-test-ulps: Modified.
	* sysdeps/sparc/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a357d6273f796b384b7e36d58a8de947ebde9668
	math: Use atanf from CORE-MATH

	* SHARED-FILES: Modified.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/alpha/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/nofpu/libm-test-ulps: Modified.
	* sysdeps/arm/libm-test-ulps: Modified.
	* sysdeps/csky/fpu/libm-test-ulps: Modified.
	* sysdeps/csky/nofpu/libm-test-ulps: Modified.
	* sysdeps/hppa/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/s_atanf.S: Delete file.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/flt-32/s_atanf.c: Modified.
	[(LIBM_SCCS) && ! lint](rcsid): Remove.
	(float.h): Remove include.
	(math_private.h): Remove include.
	(math-underflow.h): Remove include.
	(atanhi): Remove.
	(atanlo): Remove.
	(aT): Remove.
	(one): Remove.
	(__atanf): Modified function.
	(stdint.h): Include file.
	(math_config.h): Include file.
	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.
	* sysdeps/microblaze/libm-test-ulps: Modified.
	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.
	* sysdeps/or1k/fpu/libm-test-ulps: Modified.
	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/rvd/libm-test-ulps: Modified.
	* sysdeps/s390/fpu/libm-test-ulps: Modified.
	* sysdeps/sh/libm-test-ulps: Modified.
	* sysdeps/sparc/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ed608a40e2903351c64a3cea51ce8bd7c62996ef
	math: Use asinhf from CORE-MATH

	* SHARED-FILES: Modified.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/alpha/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/nofpu/libm-test-ulps: Modified.
	* sysdeps/arm/libm-test-ulps: Modified.
	* sysdeps/csky/fpu/libm-test-ulps: Modified.
	* sysdeps/csky/nofpu/libm-test-ulps: Modified.
	* sysdeps/hppa/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/s_asinhf.S: Delete file.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/flt-32/s_asinhf.c: Modified.
	(float.h): Remove include.
	(math_private.h): Remove include.
	(math-underflow.h): Remove include.
	(one): Remove.
	(__asinhf): Modified function.
	(stdint.h): Include file.
	(math_config.h): Include file.
	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.
	* sysdeps/m68k/m680x0/fpu/libm-test-ulps: Modified.
	* sysdeps/microblaze/libm-test-ulps: Modified.
	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.
	* sysdeps/or1k/fpu/libm-test-ulps: Modified.
	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/rvd/libm-test-ulps: Modified.
	* sysdeps/s390/fpu/libm-test-ulps: Modified.
	* sysdeps/sh/libm-test-ulps: Modified.
	* sysdeps/sparc/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5fb4b566efd7785ce6fc75d16e369b6918549620
	math: Use asinf from CORE-MATH

	* SHARED-FILES: Modified.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/alpha/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/nofpu/libm-test-ulps: Modified.
	* sysdeps/arm/libm-test-ulps: Modified.
	* sysdeps/csky/fpu/libm-test-ulps: Modified.
	* sysdeps/csky/nofpu/libm-test-ulps: Modified.
	* sysdeps/hppa/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/e_asinf.S: Delete file.
	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/flt-32/e_asinf.c: Modified.
	[(LIBM_SCCS) && ! lint](rcsid): Remove.
	(float.h): Remove include.
	(math.h): Remove include.
	(math_private.h): Remove include.
	(math-underflow.h): Remove include.
	(one): Remove.
	(__ieee754_asinf): Modified function.
	(stdint.h): Include file.
	(errno.h): Include file.
	(math_config.h): Include file.
	(as_special): New function.
	(poly12): New function.
	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.
	* sysdeps/microblaze/libm-test-ulps: Modified.
	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.
	* sysdeps/or1k/fpu/libm-test-ulps: Modified.
	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/rvd/libm-test-ulps: Modified.
	* sysdeps/s390/fpu/libm-test-ulps: Modified.
	* sysdeps/sh/libm-test-ulps: Modified.
	* sysdeps/sparc/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 673e6fe11083760f77001285790b1117b09b2283
	math: Use acoshf from CORE-MATH

	* SHARED-FILES: Modified.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/alpha/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/nofpu/libm-test-ulps: Modified.
	* sysdeps/arm/libm-test-ulps: Modified.
	* sysdeps/csky/fpu/libm-test-ulps: Modified.
	* sysdeps/csky/nofpu/libm-test-ulps: Modified.
	* sysdeps/hppa/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/e_acoshf.S: Delete file.
	* sysdeps/ieee754/flt-32/e_acoshf.c: Modified.
	[(LIBM_SCCS) && ! lint](rcsid): Remove.
	(math_private.h): Remove include.
	(one): Remove.
	(__ieee754_acoshf): Modified function.
	(stdint.h): Include file.
	(math_config.h): Include file.
	(as_special): New function.
	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.
	* sysdeps/m68k/m680x0/fpu/libm-test-ulps: Modified.
	* sysdeps/microblaze/libm-test-ulps: Modified.
	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.
	* sysdeps/or1k/fpu/libm-test-ulps: Modified.
	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/rvd/libm-test-ulps: Modified.
	* sysdeps/s390/fpu/libm-test-ulps: Modified.
	* sysdeps/sh/libm-test-ulps: Modified.
	* sysdeps/sparc/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 66fa7ad437affc64b3a81332d750e6f998b2e343
	math: Use acosf from CORE-MATH

	* SHARED-FILES: Modified.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/alpha/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/fpu/libm-test-ulps: Modified.
	* sysdeps/arc/nofpu/libm-test-ulps: Modified.
	* sysdeps/arm/libm-test-ulps: Modified.
	* sysdeps/csky/fpu/libm-test-ulps: Modified.
	* sysdeps/csky/nofpu/libm-test-ulps: Modified.
	* sysdeps/hppa/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/fpu/e_acosf.S: Delete file.
	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/flt-32/e_acosf.c: Modified.
	(one): Remove.
	(__ieee754_acosf): Modified function.
	(errno.h): Include file.
	(math_config.h): Include file.
	(as_special): New function.
	(poly12): New function.
	* sysdeps/loongarch/lp64/libm-test-ulps: Modified.
	* sysdeps/microblaze/libm-test-ulps: Modified.
	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.
	* sysdeps/or1k/fpu/libm-test-ulps: Modified.
	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.
	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.
	* sysdeps/riscv/rvd/libm-test-ulps: Modified.
	* sysdeps/s390/fpu/libm-test-ulps: Modified.
	* sysdeps/sh/libm-test-ulps: Modified.
	* sysdeps/sparc/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 45126f866c3c986fc99941b2af8ed65d7679dd4b
	math: Fix the expected carg (inf) results

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-carg: Modified.
	* math/libm-test-carg.inc: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: abe1d65aa6fed8ebc1798781af78ec724b220f3a
	math: Fix the expected atan2f (inf) results

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-atan2: Modified.
	* math/libm-test-atan2.inc: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 517c21337723fa28787683eb2be764189da4b94b
	math: Fix the expected atanf (inf) results

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-atan: Modified.
	* math/libm-test-atan.inc: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: aa3e67ced62e95ab52a1b693d3822e229c90c2da
	math: Add inf support on gen-auto-libm-tests.c

	* math/gen-auto-libm-tests.c: Modified.
	(round_real): Modified function.
	(special_fill_inf): New function.
	(special_fill_minus_inf): New function.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a993eea6414b2ad8d81f1fe5123a375392cad9e6
	math: Fix spurious-divbyzero flag name

	* math/gen-libm-test.py: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 042ed4b28a76433d2a523d59c017ace8e446570c
	benchtests: Add tanhf benchmark

	* benchtests/Makefile: Modified.
	* benchtests/tanhf-inputs: New file.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b76b90a809b961b1c0c2527ab2378d949e895ad2
	benchtests: Add sinhf benchmark

	* benchtests/Makefile: Modified.
	* benchtests/sinhf-inputs: New file.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7b7a3fa121fdd7fdfc02d83aca7dd1101bf1a4d7
	benchtests: Add coshf benchmark

	* benchtests/Makefile: Modified.
	* benchtests/coshf-inputs: New file.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4f1e26ba4793df961728c7d0a330a1f45ae8ff23
	benchtests: Add atanhf benchmark

	* benchtests/Makefile: Modified.
	* benchtests/atanhf-inputs: New file.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: fa857e6c7b0d1160c1c177d8917f7b06fc691651
	benchtests: Add atan2f benchmark

	* benchtests/Makefile: Modified.
	* benchtests/atan2f-inputs: New file.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 74a275d24472618d96b7c69089a5d878b485d7b1
	benchtests: Add atanf benchmark

	* benchtests/Makefile: Modified.
	* benchtests/atanf-inputs: New file.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 275d4d479b8bae2df9baa22367a8c307ed676364
	benchtests: Add asinhf benchmark

	* benchtests/Makefile: Modified.
	* benchtests/asinhf-inputs: New file.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1da8a3707cc591d5c48358d241a1d2f699fcc1b9
	benchtests: Add asinf benchmark

	* benchtests/Makefile: Modified.
	* benchtests/asinf-inputs: New file.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: fa145f378467ef47e16c470effce01dce736af1f
	benchtests: Add acoshf benchmark

	* benchtests/Makefile: Modified.
	* benchtests/acoshf-inputs: New file.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 647e464374715239a6ea56e05b3966888ec6e6a1
	benchtests: Add acosf benchmark

	* benchtests/Makefile: Modified.
	* benchtests/acosf-inputs: New file.

2024-12-18  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: eb8fa66d4e03725a5e056bc7cc29359c66f7f731
	nptl: Add <thread_pointer.h> for sparc

	* sysdeps/sparc/nptl/thread_pointer.h: New file.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 849c73fe2b41d65e4dc7e7baf42ed59d601d71a9
	powerpc: Update libm-test-ulps

	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2872876d4378374dd5e6ccfe0183eb0d03433c67
	arm: Update libm-test-ulps

	* sysdeps/arm/libm-test-ulps: Modified.

2024-12-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5a4c99163c309232d77c13daedb4922abfc8842f
	i386: Update libm-test-ulps

	* sysdeps/i386/fpu/libm-test-ulps: Modified.

2024-12-18  Joseph Myers  <josmyers@redhat.com>

	COMMIT: e0a0fd64b5b223fce87061fe23dbb0b30053060c
	Update syscall lists for Linux 6.12

	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 3d54e957c93db7ae605966ca2969e9bf11f92a67
	Hide memset/bzero from compiler

	* string/tester.c: Modified.
	(bzero_indirect): New.
	(memset_indirect): New.
	(bzero): New.
	(memset): New.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: eb02fb7739c321b0ec0498fcb3ea1dd3989945e3
	Check if clang and clang++ are used to test glibc

	* aclocal.m4: Modified.
	* configure: Modified.
	* configure.ac: Modified.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: cd90d3ca7d5b515cb096d8c1d7c83b94ef6eba71
	Replace __strcpy_chk with __builtin___strcpy_chk

	* posix/tst-glob_lstat_compat.c: Modified.
	(my_readdir): Modified function.
	* posix/tst-gnuglob-skeleton.c: Modified.
	(my_readdir): Modified function.

2024-12-17  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: ae5062201d7e9d18fe88bff4bc71088374c394fb
	ungetc: Guarantee single char pushback

	* libio/bits/types/struct_FILE.h: Modified.
	(_IO_FILE): Modified.
	* libio/fileops.c: Modified.
	(_IO_new_file_underflow): Modified function.
	(_IO_new_file_seekoff): Modified function.
	(_IO_file_xsgetn): Modified function.
	* libio/genops.c: Modified.
	(_IO_free_backup_area): Modified function.
	(save_for_backup): Modified function.
	(_IO_default_finish): Modified function.
	(_IO_default_pbackfail): Modified function.
	* libio/libioP.h: Modified.
	[! _IO_MTSAFE_IO][! _IO_USE_OLD_IO_FILE](FILEBUF_LITERAL): Modified.
	[! _IO_MTSAFE_IO][_IO_USE_OLD_IO_FILE](FILEBUF_LITERAL): Modified.
	[_IO_MTSAFE_IO][! _IO_USE_OLD_IO_FILE](FILEBUF_LITERAL): Modified.
	[_IO_MTSAFE_IO][_IO_USE_OLD_IO_FILE](FILEBUF_LITERAL): Modified.
	(_IO_free_backup_buf): New function.
	* libio/oldfileops.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_1)](_IO_old_file_underflow): Modified function.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_1)](_IO_old_file_seekoff): Modified function.
	* libio/wfileops.c: Modified.
	(_IO_wfile_underflow): Modified function.
	* stdio-common/Makefile: Modified.
	* stdio-common/tst-ungetc-nomem.c: New file.

2024-12-17  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: cfdd9e7aa45cdc575df237e2d2eee3219a06829b
	libio: Fix last NULL-as-0 issue in libioP.h

	* libio/libioP.h: Modified.
	[! _IO_MTSAFE_IO][! _IO_USE_OLD_IO_FILE](FILEBUF_LITERAL): Modified.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: a194871b13d6691d6ede3f62165eaf91064fcfe9
	sys/platform/x86.h: Do not depend on _Bool definition in C++ mode

	* sysdeps/unix/sysv/linux/x86/bits/platform/features.h: Modified.
	(x86_cpu_cet_active): Modified function.
	* sysdeps/x86/bits/platform/features.h: Modified.
	(x86_cpu_cet_active): Modified function.
	* sysdeps/x86/sys/platform/x86.h: Modified.
	(x86_cpu_present): Modified function.
	(x86_cpu_active): Modified function.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 7d889b99c1ec62252d2cb3d89ba2956a2d567928
	Replace copysign (0,-1) with -0.0 in initializer

	* stdio-common/tst-printf-format-skeleton-double.c: Modified.
	* stdio-common/tst-printf-format-skeleton-ldouble.c: Modified.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 080a320914e2026c2d4cfbf91d523b079ae4fc94
	tst-unique3.cc: Add explicit instantiation declaration for S<char>::i

	* elf/tst-unique3.cc: Modified.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 54fe008ba66b2575fb1815f3d5e0811a0107a00c
	ldbl-96: Set -1 to "int sign_exponent:16"

	* sysdeps/ieee754/ldbl-96/test-totalorderl-ldbl-96.c: Modified.
	(do_test): Modified function.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: d4ee46b0cd43012d311e07f11ee960efec3f1a94
	tst-clone3[-internal].c: Add _Atomic to silence Clang

	* sysdeps/unix/sysv/linux/tst-clone3-internal.c: Modified.
	(futex_wait): Modified function.
	(do_test): Modified function.
	* sysdeps/unix/sysv/linux/tst-clone3.c: Modified.
	(futex_wait): Modified function.
	(do_test): Modified function.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 560cfeb82693912723ff0e11232c86f9b492a1a0
	tst-atexit-common.c: Mark _exit_with_flush as noreturn

	* stdlib/tst-atexit-common.c: Modified.
	(_exit_with_flush): Modified function.

2024-12-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 61c3450db96dce96ad2b24b4f0b548e6a46d68e5
	x86: Avoid integer truncation with large cache sizes (bug 32470)

	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(dl_init_cacheinfo): Modified function.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 77e921bc611ea56eba206354c5134af0610cf6fe
	tst-timespec.c: Explicitly cast TIME_T_MAX to double

	* support/tst-timespec.c: Modified.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 4666f5c3eebd95e3e39dfb7923aa74c28db4fb8a
	tst-resolv-invalid-cname.c: Explicitly cast 192 and 168 to char

	* resolv/tst-resolv-invalid-cname.c: Modified.
	(check_reverse): Modified function.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 0cc88d232757d4cbd771fed695d30af79674eb45
	Silence Clang #include_next error

	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	(test-double-vlen4.h): Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	(test-double-vlen4.h): Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	(test-double-vlen8.h): Modified.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	(test-float-vlen16.h): Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	(test-float-vlen8.h): Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.
	(test-float-vlen8.h): Modified.

2024-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 215447f5cbcf1a494cded57734f68d7f9c2b0dc0
	cet: Pass -mshstk to compiler for tst-cet-legacy-10a[-static].c

	* sysdeps/x86_64/Makefile: Modified.

2024-12-17  Joana Cruz  <Joana.Cruz@arm.com>

	COMMIT: cff9648d0b50d19cdaf685f6767add040d4e1a8e
	AArch64: Improve codegen of AdvSIMD expf family

	* sysdeps/aarch64/fpu/coshf_advsimd.c: Modified.
	[!WANT_SIMD_EXCEPT](special_case): Modified function.
	(data): Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/exp10f_advsimd.c: Modified.
	[! WANT_SIMD_EXCEPT](SpecialOffset): Remove.
	[! WANT_SIMD_EXCEPT](SpecialBias): Remove.
	[! WANT_SIMD_EXCEPT](special_case): Modified function.
	(poly_advsimd_f32.h): Remove include.
	(data): Modified.
	(ExponentBias): Remove.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/exp2f_advsimd.c: Modified.
	[! WANT_SIMD_EXCEPT](SpecialOffset): Remove.
	[! WANT_SIMD_EXCEPT](SpecialBias): Remove.
	[! WANT_SIMD_EXCEPT](special_case): Modified function.
	(data): Modified.
	(C): Remove.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/expf_advsimd.c: Modified.
	[! WANT_SIMD_EXCEPT](SpecialOffset): Remove.
	[! WANT_SIMD_EXCEPT](SpecialBias): Remove.
	[! WANT_SIMD_EXCEPT](special_case): Modified function.
	(data): Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/v_expf_inline.h: Modified.
	(v_expf_data): Modified.
	(V_EXPF_DATA): Modified.
	(ExponentBias): Remove.
	(C): Remove.
	(v_expf_inline): Modified function.

2024-12-17  Joana Cruz  <Joana.Cruz@arm.com>

	COMMIT: 6914774b9d3460876d9ad4482782213ec01a752e
	AArch64: Improve codegen of AdvSIMD atan(2)(f)

	* sysdeps/aarch64/fpu/atan2_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(zeroinfnan): Modified function.
	(V_NAME_D2): Modified function.
	* sysdeps/aarch64/fpu/atan2f_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(zeroinfnan): Modified function.
	(V_NAME_F2): Modified function.
	* sysdeps/aarch64/fpu/atan_advsimd.c: Modified.
	(data): Modified.
	(V_NAME_D1): Modified function.

2024-12-17  Joana Cruz  <Joana.Cruz@arm.com>

	COMMIT: d6e034f5b222a9ed1aeb5de0c0c7d0dda8b63da3
	AArch64: Improve codegen of AdvSIMD logf function family

	* sysdeps/aarch64/fpu/log10f_advsimd.c: Modified.
	(poly_advsimd_f32.h): Remove include.
	(data): Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/log2f_advsimd.c: Modified.
	(poly_advsimd_f32.h): Remove include.
	(data): Modified.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/logf_advsimd.c: Modified.
	(data): Modified.
	(P): Remove.
	(V_NAME_F1): Modified function.

2024-12-17  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f9493a15ea9cfb63a815c00c23142369ec09d8ce
	Hide all malloc functions from compiler [BZ #32366]

	* malloc/tst-mallinfo2.c: Modified.
	(tst-malloc-aux.h): Include file.
	* malloc/tst-malloc-aux.h: Modified.
	(aligned_alloc): Remove.
	(calloc): Remove.
	(malloc): Remove.
	(realloc): Remove.
	(malloc.h): Include file.
	(aligned_alloc_indirect): New.
	(calloc_indirect): New.
	(malloc_indirect): New.
	(memalign_indirect): New.
	(posix_memalign_indirect): New.
	(pvalloc_indirect): New.
	(realloc_indirect): New.
	(valloc_indirect): New.
	(memalign): New.
	(posix_memalign): New.
	(pvalloc): New.
	(valloc): New.
	* malloc/tst-malloc-backtrace.c: Modified.
	(tst-malloc-aux.h): Include file.
	* malloc/tst-memalign.c: Modified.
	(tst-malloc-aux.h): Include file.
	* malloc/tst-safe-linking.c: Modified.
	(tst-malloc-aux.h): Include file.
	* malloc/tst-valloc.c: Modified.
	(tst-malloc-aux.h): Include file.

2024-12-17  Alejandro Colomar  <alx@kernel.org>

	COMMIT: bd0ea9ff7e8d5f7d54112dfa96d541c3c60e36ae
	libio: Use NULL instead of 0 as a null pointer constant

	* libio/libioP.h: Modified.
	[! _IO_MTSAFE_IO][! _IO_USE_OLD_IO_FILE](FILEBUF_LITERAL): Modified.
	[! _IO_MTSAFE_IO][_IO_USE_OLD_IO_FILE](FILEBUF_LITERAL): Modified.
	[_IO_MTSAFE_IO][_IO_USE_OLD_IO_FILE](FILEBUF_LITERAL): Modified.

2024-12-16  DJ Delorie  <dj@redhat.com>

	COMMIT: 87cd94bba4091d22e24116298ade33b712ada235
	manual: Document more sigaction flags

	* manual/signal.texi: Modified.

2024-12-17  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 50c35842df9bfb370a36ef2360463c69f04faa9a
	Remove duplicated BUILD_CC in Makeconfig

	* Makeconfig: Modified.

2024-12-16  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 9a4b0eaf726f5404c6683d5c7c5e86f61c3f3fbc
	iconv: do not report error exit with transliteration [BZ #32448]

	* iconv/loop.c: Modified.
	(STANDARD_TO_LOOP_ERR_HANDLER): Modified.
	* iconv/tst-iconv_prog.sh: Modified.

2024-12-16  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: dd413a4d2f320d5c3bc43e0788919724c89b3dab
	Fix sysdeps/x86/fpu/Makefile: Split and sort tests

	* sysdeps/x86/fpu/Makefile: Modified.

2024-12-16  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 57a44f27c4e204745bb9951b183c471394a7ffe8
	sysdeps/x86/fpu/Makefile: Split and sort tests

	* sysdeps/x86/fpu/Makefile: Modified.

2024-12-16  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 07e3eb17744fd0275d232c2ae2f888b91bbb672b
	Use empty initializer to silence GCC 4.9 or older

	* misc/tst-preadvwritev2-common.c: Modified.
	(do_test_with_invalid_iov): Modified function.
	* nss/getaddrinfo.c: Modified.
	(gaih_inet): Modified function.
	* posix/tst-spawn7.c: Modified.
	(do_test_signals): Modified function.
	* rt/tst-timer-sigmask.c: Modified.
	(do_test): Modified function.
	* stdlib/tst-system.c: Modified.
	(sleep_and_check_sigchld): Modified function.
	* sysdeps/pthread/tst-cancel28.c: Modified.
	(do_test): Modified function.
	* sysdeps/unix/sysv/linux/tst-getcwd-smallbuff.c: Modified.
	(send_fd): Modified function.
	(recv_fd): Modified function.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp-compat.c: Modified.
	(do_test_large_buffer): Modified function.
	(do_test_small_buffer): Modified function.
	* time/tst-itimer.c: Modified.
	(do_test): Modified function.

2024-12-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b933e5cef63a6c136fe57de29eba7abc51b678de
	Linux: Check for 0 return value from vDSO getrandom probe

	* sysdeps/unix/sysv/linux/getrandom.c: Modified.
	(__getrandom_early_init): Modified function.

2024-12-15  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: 6f5e1e4e98d66fd367f9d9c5ddc5947bfadda26b
	hppa: Update libm-test-ulps

	* sysdeps/hppa/fpu/libm-test-ulps: Modified.

2024-12-15  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 20f8c5df56f68a783ceab59d2d77184e32a28ff4
	Revert "Add braces in initializers for GCC 4.9 or older"

	* misc/tst-preadvwritev2-common.c: Modified.
	(do_test_with_invalid_iov): Modified function.
	* nss/getaddrinfo.c: Modified.
	(gaih_inet): Modified function.
	* posix/tst-spawn7.c: Modified.
	(do_test_signals): Modified function.
	* rt/tst-timer-sigmask.c: Modified.
	(do_test): Modified function.
	* stdlib/tst-system.c: Modified.
	(sleep_and_check_sigchld): Modified function.
	* sysdeps/pthread/tst-cancel28.c: Modified.
	(do_test): Modified function.
	* sysdeps/unix/sysv/linux/tst-getcwd-smallbuff.c: Modified.
	(send_fd): Modified function.
	(recv_fd): Modified function.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp-compat.c: Modified.
	(do_test_large_buffer): Modified function.
	(do_test_small_buffer): Modified function.
	* time/tst-itimer.c: Modified.
	(do_test): Modified function.

2024-12-15  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: d4175a62c286a4c5efcb869f5385d16969abdc2a
	tst-difftime.c: Use "main (void)"

	* time/tst-difftime.c: Modified.
	[!(__GNUC_PREREQ (5, 0))](EXIT_UNSUPPORTED): Remove.
	[!(__GNUC_PREREQ (5, 0))](main): New function.

2024-12-15  Stafford Horne  <shorne@gmail.com>

	COMMIT: afac8b1311e73077e4634183c3b999706780146f
	or1k: Update libm-test-ulps

	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.

2024-12-14  gfleury  <gfleury@disroot.org>

	COMMIT: 2716bd6b128b05f0bfc5a58f03159a49320b2ab2
	htl: move pthread_sigmask into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/pt-sigmask.c: Modified.
	(pthread_sigmask): Remove function.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_41)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(__pthread_sigmask): New function.
	(libc_hidden_def): New.
	(versioned_symbol): New function.
	* sysdeps/htl/pthreadP.h: Modified.
	(__pthread_sigmask): New function.
	(libc_hidden_proto): New function.
	* sysdeps/htl/timer_routines.c: Modified.
	(pthread.h): Remove include.
	(__timer_thread_start): Modified function.
	(pthreadP.h): Include file.
	* sysdeps/mach/hurd/gai_misc.h: Modified.
	(pthread.h): Remove include.
	(__gai_start_notify_thread): Modified function.
	(__gai_create_helper_thread): Modified function.
	(pthreadP.h): Include file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2024-12-14  gfleury  <gfleury@disroot.org>

	COMMIT: 79cb83c7f9d648c214e4c61fe5bd1c376b38e723
	htl: move __pthread_sigstate into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/pt-internal.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/htl/pt-sigstate.c: Modified.
	(libc_hidden_def): New.

2024-12-14  gfleury  <gfleury@disroot.org>

	COMMIT: dca0807a4d8b9f5ebae4a4131fee8f7cdd13d07f
	htl: move __pthread_sigstate_destroy into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* htl/pt-internal.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): New.
	* sysdeps/mach/hurd/htl/pt-sigstate-destroy.c: Modified.
	(libc_hidden_def): New.

2024-12-15  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 335ba9b6c1db7030264de7d9e38047f645326e54
	Return EXIT_UNSUPPORTED if __builtin_add_overflow unavailable

	* elf/tst-stringtable.c: Modified.
	(string.h): Remove include.
	(stringtable.h): Remove include.
	(support/check.h): Remove include.
	(support/support.h): Remove include.
	(do_test): Remove function.
	(support/test-driver.c): Remove include.
	(_): Remove.
	(stringtable.c): Remove include.
	(stringtable_free.c): Remove include.
	[!(__GNUC_PREREQ (5, 0))](support/test-driver.h): New.
	[!(__GNUC_PREREQ (5, 0))](main): New.
	[__GNUC_PREREQ (5, 0)](string.h): New.
	[__GNUC_PREREQ (5, 0)](stringtable.h): New.
	[__GNUC_PREREQ (5, 0)](support/check.h): New.
	[__GNUC_PREREQ (5, 0)](support/support.h): New.
	[__GNUC_PREREQ (5, 0)](do_test): New.
	[__GNUC_PREREQ (5, 0)](support/test-driver.c): New.
	[__GNUC_PREREQ (5, 0)](_): New.
	[__GNUC_PREREQ (5, 0)](stringtable.c): New.
	[__GNUC_PREREQ (5, 0)](stringtable_free.c): New.
	* io/tst-utimensat-skeleton.c: Modified.
	(do_test): Modified function.
	(support/test-driver.h): Include file.
	* sysdeps/unix/sysv/linux/tst-getdents64.c: Modified.
	(large_buffer_check): Remove function.
	(large_buffer_checks): Remove function.
	(do_test_large_size): Remove function.
	[!(__GNUC_PREREQ (5, 0))](do_test_large_size): New.
	[__GNUC_PREREQ (5, 0)](large_buffer_check): New.
	[__GNUC_PREREQ (5, 0)](large_buffer_checks): New.
	[__GNUC_PREREQ (5, 0)](do_test_large_size): New.
	* time/tst-ctime.c: Modified.
	(do_test): Remove function.
	(support/test-driver.c): Remove include.
	[!(__GNUC_PREREQ (5, 0))](support/test-driver.h): New.
	[!(__GNUC_PREREQ (5, 0))](main): New.
	[__GNUC_PREREQ (5, 0)](do_test): New.
	[__GNUC_PREREQ (5, 0)](support/test-driver.c): New.
	* time/tst-difftime.c: Modified.
	(test_difftime_helper): Remove function.
	(do_test): Remove function.
	(support/test-driver.c): Remove include.
	[!(__GNUC_PREREQ (5, 0))](support/test-driver.h): New.
	[!(__GNUC_PREREQ (5, 0))](EXIT_UNSUPPORTED): New.
	[__GNUC_PREREQ (5, 0)](test_difftime_helper): New.
	[__GNUC_PREREQ (5, 0)](do_test): New.
	[__GNUC_PREREQ (5, 0)](support/test-driver.c): New.
	* time/tst-mktime4.c: Modified.
	(tm0): Remove.
	(tmY2038): Remove.
	(tm32bitmax): Remove.
	(test_mktime_helper): Remove function.
	(do_test): Remove function.
	(support/test-driver.c): Remove include.
	[!(__GNUC_PREREQ (5, 0))](support/test-driver.h): New.
	[!(__GNUC_PREREQ (5, 0))](main): New.
	[__GNUC_PREREQ (5, 0)](tm0): New.
	[__GNUC_PREREQ (5, 0)](tmY2038): New.
	[__GNUC_PREREQ (5, 0)](tm32bitmax): New.
	[__GNUC_PREREQ (5, 0)](test_mktime_helper): New.
	[__GNUC_PREREQ (5, 0)](do_test): New.
	[__GNUC_PREREQ (5, 0)](support/test-driver.c): New.

2024-12-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 65817569adf011b66d197c773df2d9337da5adb3
	ifuncmain9.c: Return EXIT_UNSUPPORTED for GCC 5.4 or older

	* elf/ifuncmain9.c: Modified.
	(implementation_called): Remove.
	(resolver_called): Remove.
	(<anonymous>): Remove.
	(implementation): Remove function.
	(__typeof__): Remove function.
	(magic): Remove.
	(main): Remove function.
	[!(__GNUC_PREREQ (5, 5))](support/test-driver.h): New.
	[!(__GNUC_PREREQ (5, 5))](main): New.
	[__GNUC_PREREQ (5, 5)](implementation_called): New.
	[__GNUC_PREREQ (5, 5)](resolver_called): New.
	[__GNUC_PREREQ (5, 5)](<anonymous>): New.
	[__GNUC_PREREQ (5, 5)](implementation): New.
	[__GNUC_PREREQ (5, 5)](__typeof__): New.
	[__GNUC_PREREQ (5, 5)](magic): New.
	[__GNUC_PREREQ (5, 5)](main): New.

2024-12-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: ed377c952a673683507066506e4c88a7299a2447
	include/bits/sigstksz.h: Avoid #elif IS_IN (libsupport)

	* include/bits/sigstksz.h: Modified.
	[IS_IN (libsupport)](_next <bits/sigstksz.h): Remove.
	[! _ISOMAC][IS_IN (libsupport)](_next <bits/sigstksz.h): New.

2024-12-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: c8c35f8c0ffb81ac5e9117cceaf6cc8bc518e564
	regex.h: Avoid #elif __STDC_VERSION__

	* posix/regex.h: Modified.
	[! _Restrict_][!(199901L <= __STDC_VERSION__ ||  restrict)](_Restrict_): Remove.
	[! _Restrict_][199901L <= __STDC_VERSION__ ||  restrict](_Restrict_): Remove.
	[! _Restrict_][!(__restrict  || 2 < __GNUC__ + (95 <= __GNUC_MINOR__)  || __clang_major__ >= 3)][!(199901L <= __STDC_VERSION__ ||  restrict)](_Restrict_): New.
	[! _Restrict_][!(__restrict  || 2 < __GNUC__ + (95 <= __GNUC_MINOR__)  || __clang_major__ >= 3)][199901L <= __STDC_VERSION__ ||  restrict](_Restrict_): New.
	[! _Restrict_arr_][!(((199901L <= __STDC_VERSION__  || 3 < __GNUC__ + (1 <= __GNUC_MINOR__)  || __clang_major__ >= 3)  && ! __cplusplus))](_Restrict_arr_): Remove.
	[! _Restrict_arr_][((199901L <= __STDC_VERSION__  || 3 < __GNUC__ + (1 <= __GNUC_MINOR__)  || __clang_major__ >= 3)  && ! __cplusplus)](_Restrict_arr_): Remove.
	[! _Restrict_arr_][! __restrict_arr][!(((199901L <= __STDC_VERSION__  || 3 < __GNUC__ + (1 <= __GNUC_MINOR__)  || __clang_major__ >= 3)  && ! __cplusplus))](_Restrict_arr_): New.
	[! _Restrict_arr_][! __restrict_arr][((199901L <= __STDC_VERSION__  || 3 < __GNUC__ + (1 <= __GNUC_MINOR__)  || __clang_major__ >= 3)  && ! __cplusplus)](_Restrict_arr_): New.

2024-12-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 5e17b4c983748e7938aef90c90d417e1ca739e20
	tst-assert-c++.cc: Return EXIT_UNSUPPORTED for GCC 4.9 or older

	* assert/tst-assert-c++.cc: Modified.

2024-12-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 8aa2a9e0339215012354f3c4a262edda838134e8
	Add braces in initializers for GCC 4.9 or older

	* misc/tst-preadvwritev2-common.c: Modified.
	(do_test_with_invalid_iov): Modified function.
	* nss/getaddrinfo.c: Modified.
	(gaih_inet): Modified function.
	* posix/tst-spawn7.c: Modified.
	(do_test_signals): Modified function.
	* rt/tst-timer-sigmask.c: Modified.
	(do_test): Modified function.
	* stdlib/tst-system.c: Modified.
	(sleep_and_check_sigchld): Modified function.
	* sysdeps/pthread/tst-cancel28.c: Modified.
	(do_test): Modified function.
	* sysdeps/unix/sysv/linux/tst-getcwd-smallbuff.c: Modified.
	(send_fd): Modified function.
	(recv_fd): Modified function.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp-compat.c: Modified.
	(do_test_large_buffer): Modified function.
	(do_test_small_buffer): Modified function.
	* time/tst-itimer.c: Modified.
	(do_test): Modified function.

2024-12-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 1d40170dd367831b97cbdb89ad1b7241a241923b
	Return EXIT_UNSUPPORTED if __builtin_mul_overflow unavailable

	* misc/tst-fd_to_filename.c: Modified.
	(fd_to_filename.h): Remove include.
	(stdio.h): Remove include.
	(support/check.h): Remove include.
	(support/xunistd.h): Remove include.
	(check): Remove function.
	(check_ranges): Remove function.
	(check_open): Remove function.
	(do_test): Remove function.
	(support/test-driver.c): Remove include.
	[!(__GNUC_PREREQ (5, 0))](support/test-driver.h): New.
	[!(__GNUC_PREREQ (5, 0))](main): New.
	[__GNUC_PREREQ (5, 0)](fd_to_filename.h): New.
	[__GNUC_PREREQ (5, 0)](stdio.h): New.
	[__GNUC_PREREQ (5, 0)](support/check.h): New.
	[__GNUC_PREREQ (5, 0)](support/xunistd.h): New.
	[__GNUC_PREREQ (5, 0)](check): New.
	[__GNUC_PREREQ (5, 0)](check_ranges): New.
	[__GNUC_PREREQ (5, 0)](check_open): New.
	[__GNUC_PREREQ (5, 0)](do_test): New.
	[__GNUC_PREREQ (5, 0)](support/test-driver.c): New.

2024-12-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 1a41fc44daa03346b7bae5bd12a281116275d836
	tst-minsigstksz-1.c: Return EXIT_UNSUPPORTED for GCC 4.9 or older

	* signal/tst-minsigstksz-1.c: Modified.
	[! __STDC_NO_ATOMICS__][ATOMIC_INT_LOCK_FREE != 2](TEST_ATOMIC_OPS): Remove.
	[! __STDC_NO_ATOMICS__][ATOMIC_INT_LOCK_FREE == 2](TEST_ATOMIC_OPS): Remove.
	[! __STDC_NO_ATOMICS__](stdatomic.h): Remove.
	[__STDC_NO_ATOMICS__](TEST_ATOMIC_OPS): Remove.
	[!(__STDC_NO_ATOMICS__ || !__GNUC_PREREQ (5, 0))][ATOMIC_INT_LOCK_FREE != 2](TEST_ATOMIC_OPS): New.
	[!(__STDC_NO_ATOMICS__ || !__GNUC_PREREQ (5, 0))][ATOMIC_INT_LOCK_FREE == 2](TEST_ATOMIC_OPS): New.
	[!(__STDC_NO_ATOMICS__ || !__GNUC_PREREQ (5, 0))](stdatomic.h): New.
	[__STDC_NO_ATOMICS__ || !__GNUC_PREREQ (5, 0)](TEST_ATOMIC_OPS): New.

2024-12-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 9856784b6ab9d8bbb1c2aecf3eeb21a5ddf2c2e9
	tester.c: Use -Wmemset-transposed-args for GCC 5 or newer

	* string/tester.c: Modified.
	(DIAG_IGNORE_NEEDS_COMMENT): Remove.
	[__GNUC_PREREQ (5, 0)](DIAG_IGNORE_NEEDS_COMMENT): New.

2024-12-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: a1a414b3cedc39fadc72fa666fd2336147f1b028
	Makefile.in: Add test to check xcheck rule

	* Makefile.in: Modified.

2024-12-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: ad36038c32eb3601f90f38cab90fda1f6031f4e4
	Don't use TEST_CXX as CXX for build

	* configure: Modified.
	* configure.ac: Modified.

2024-12-13  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: ca7d48a80f73129ac8492832d0bdbaa365c21ab7
	AArch64: Update libm-test-ulps

	* sysdeps/aarch64/libm-test-ulps: Modified.

2024-12-13  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 97b74cbbb0724c26fbbd5037a6ab9f81ac0a10a1
	s390: Simplify elf_machine_{load_address, dynamic} [BZ #31799]

	* sysdeps/s390/s390-32/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_dynamic): Modified function.
	[! dl_machine_h](elf_machine_load_address): Modified function.
	* sysdeps/s390/s390-64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_dynamic): Modified function.
	[! dl_machine_h](elf_machine_load_address): Modified function.

2024-12-13  Stafford Horne  <shorne@gmail.com>

	COMMIT: e4e49583d99869378c33415e49a36041cd6e14c9
	or1k: Update libm-test-ulps

	* sysdeps/or1k/nofpu/libm-test-ulps: Modified.

2024-12-13  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: f2acd75b0ea8141efaf41664cf5ffaa9db8b8074
	nptl: Add <thread_pointer.h> for or1k

	* sysdeps/or1k/nptl/thread_pointer.h: New file.

2024-12-12  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 3374de90386f1814cec58567248d43a4632b16f0
	Implement C23 atan2pi

	* NEWS: Modified.
	* manual/math.texi: Modified.
	* math/Makefile: Modified.
	* math/Versions: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-atan2pi: New file.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): New function.
	* math/gen-auto-libm-tests.c: Modified.
	* math/gen-tgmath-tests.py: Modified.
	* math/libm-test-atan2pi.inc: New file.
	* math/s_atan2pi_template.c: New file.
	* math/test-tgmath.c: Modified.
	[! HAVE_MAIN](NCALLS): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): New.
	[HAVE_MAIN](F): New function.
	* math/tgmath.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](atan2pi): New.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/nldbl-atan2pi.c: New file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libm.abilist: Modified.
	* sysdeps/powerpc/nofpu/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-12  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 3ac826b0200e6972de81fe0469c1f8868c0e52ce
	Clear CXX and TEST_CXX if C++ link test fails

	* configure: Modified.
	* configure.ac: Modified.

2024-12-12  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 6bc301672bfbde618d4ec02e51e6e2cbadd4ac1e
	math: Remove __XXX math functions from installed math.h [BZ #32418]

	* include/bits/mathcalls-macros.h: New file.
	* include/math.h: Modified.
	[! _ISOMAC](__MATHDECLX): New.
	* math/Makefile: Modified.
	* math/bits/mathcalls-macros.h: New file.
	* math/math.h: Modified.
	(__SIMD_DECL): Remove.
	(__MATHCALL_VEC): Remove.
	(__MATHDECL_VEC): Remove.
	(__MATHCALL): Modified.
	(__MATHDECL): Modified.
	(__MATHCALLX): Remove.
	(__MATHDECLX): Remove.
	(__MATHDECL_1_IMPL): Modified.
	(__MATHDECL_1): Modified.
	(__MATHDECL_ALIAS): Modified.
	(__MATHREDIR): Remove.
	(__MATHDECL_1_IMPL): Remove.
	(__MATHDECL_1): Remove.
	(__MATHDECL_ALIAS): Remove.
	(__MATHDECL): Remove.
	(__MATHCALL): Remove.
	(bits/mathcalls-macros.h): Include file.

2024-12-11  Kuan-Wei Chiu  <visitorckw@gmail.com>

	COMMIT: 950891b5e7a5307272da3e632832ac9da4c9eeec
	Optimize bsearch() implementation for performance

	* bits/stdlib-bsearch.h: Modified.
	(bsearch): Modified function.

2024-12-11  Kuan-Wei Chiu  <visitorckw@gmail.com>

	COMMIT: dce846c789b68a86721d7bfc6f18c728c8c6d3bf
	benchtests: Add benchmark test for bsearch

	* benchtests/Makefile: Modified.
	* benchtests/bench-bsearch.c: New file.

2024-12-11  Joseph Myers  <josmyers@redhat.com>

	COMMIT: ffe79c446ced76d7c1a77804ff2cc32eccbc7c7e
	Implement C23 atanpi

	* NEWS: Modified.
	* manual/math.texi: Modified.
	* math/Makefile: Modified.
	* math/Versions: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-atanpi: New file.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): New function.
	* math/gen-auto-libm-tests.c: Modified.
	* math/gen-tgmath-tests.py: Modified.
	* math/libm-test-atanpi.inc: New file.
	* math/s_atanpi_template.c: New file.
	* math/test-tgmath.c: Modified.
	[! HAVE_MAIN](NCALLS): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): New.
	[HAVE_MAIN](F): New function.
	* math/tgmath.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](atanpi): New.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/nldbl-atanpi.c: New file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libm.abilist: Modified.
	* sysdeps/powerpc/nofpu/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-11  Peter Bergner  <bergner@linux.ibm.com>

	COMMIT: aec85b2557cdb2cc1fc726a50c33848826f00f4d
	powerpc64: Fix dl-trampoline.S big-endian / non-ROP build failure

	* sysdeps/powerpc/powerpc64/dl-trampoline.S: Modified.

2024-12-11  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4f5704ea347e52ac3f272d1341da10aed6e9973e
	powerpc: Use correct procedure call standard for getrandom vDSO call (bug 32440)

	* stdlib/Makefile: Modified.
	* stdlib/tst-getrandom-errno.c: New file.
	* sysdeps/unix/sysv/linux/getrandom.c: Modified.
	[HAVE_GETRANDOM_VSYSCALL](getrandom_vdso): Modified function.
	(__getrandom_early_init): Modified function.
	(sysdep.h): Include file.
	(sysdep-vdso.h): Include file.

2024-12-11  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: b79f25753346a577c9ba0a3dca69bd9d9d72a020
	Add TEST_CC and TEST_CXX support

	* INSTALL: Modified.
	* Makefile.in: Modified.
	* aclocal.m4: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* manual/install.texi: Modified.
	* sysdeps/x86_64/configure: Modified.
	* sysdeps/x86_64/configure.ac: Modified.

2024-12-10  Peter Bergner  <bergner@linux.ibm.com>

	COMMIT: 4d9a4c02f9327338bb8dc890d26fbbeef956ba1b
	﻿powerpc64le: ROP changes for the dl-trampoline functions

	* sysdeps/powerpc/powerpc64/dl-trampoline.S: Modified.

2024-12-11  Wangyang Guo  <wangyang.guo@intel.com>

	COMMIT: 226e3b0a413673c0d6691a0ae6dd001fe05d21cd
	malloc: Add tcache path for calloc

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_malloc): Modified function.
	[IS_IN (libc)](_mid_memalign): Modified function.
	[IS_IN (libc)](__libc_calloc): Modified function.
	[USE_TCACHE](tcache_available): New function.
	[USE_TCACHE](tcache_try_malloc): New function.
	* malloc/tst-safe-linking.c: Modified.
	(test_fastbin): Modified function.
	(test_fastbin_consolidate): Modified function.

2024-12-10  Joseph Myers  <josmyers@redhat.com>

	COMMIT: f962932206eca2cfed0a26e72220ad3465bf9e65
	Implement C23 asinpi

	* NEWS: Modified.
	* manual/math.texi: Modified.
	* math/Makefile: Modified.
	* math/Versions: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-asinpi: New file.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): New function.
	* math/gen-auto-libm-tests.c: Modified.
	* math/gen-tgmath-tests.py: Modified.
	* math/libm-test-asinpi.inc: New file.
	* math/s_asinpi_template.c: New file.
	* math/test-tgmath.c: Modified.
	[! HAVE_MAIN](NCALLS): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): New.
	[HAVE_MAIN](F): New function.
	* math/tgmath.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](asinpi): New.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/nldbl-asinpi.c: New file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libm.abilist: Modified.
	* sysdeps/powerpc/nofpu/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-10  Sam James  <sam@gentoo.org>

	COMMIT: a9944a52c967ce76a5894c30d0274b824df43c7a
	malloc: add indirection for malloc(-like) functions in tests [BZ #32366]

	* malloc/tst-aligned-alloc.c: Modified.
	(tst-malloc-aux.h): Include file.
	* malloc/tst-compathooks-off.c: Modified.
	(tst-malloc-aux.h): Include file.
	* malloc/tst-malloc-aux.h: New file.
	* malloc/tst-malloc-check.c: Modified.
	(tst-malloc-aux.h): Include file.
	* malloc/tst-malloc-too-large.c: Modified.
	(tst-malloc-aux.h): Include file.
	* malloc/tst-malloc.c: Modified.
	(tst-malloc-aux.h): Include file.
	* malloc/tst-realloc.c: Modified.
	(tst-malloc-aux.h): Include file.
	* support/support.h: Modified.
	(__returns_nonnull): Modified.
	* test-skeleton.c: Modified.
	(malloc.h): Remove include.

2024-12-09  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 28d102d15c6af7f80cb1077e098e020476d26d00
	Implement C23 acospi

	* NEWS: Modified.
	* manual/math.texi: Modified.
	* math/Makefile: Modified.
	* math/Versions: Modified.
	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-acospi: New file.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](__MATHCALL): New function.
	* math/gen-auto-libm-tests.c: Modified.
	* math/gen-tgmath-tests.py: Modified.
	* math/libm-test-acospi.inc: New file.
	* math/s_acospi_template.c: New file.
	* math/test-tgmath.c: Modified.
	[! HAVE_MAIN](NCALLS): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): Modified.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](F): Modified function.
	[HAVE_MAIN](TYPE): New.
	[HAVE_MAIN](F): New function.
	* math/tgmath.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C23)](acospi): New.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/ieee754/ldbl-128ibm-compat/Versions: Modified.
	* sysdeps/ieee754/ldbl-opt/Makefile: Modified.
	* sysdeps/ieee754/ldbl-opt/nldbl-acospi.c: New file.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libm.abilist: Modified.
	* sysdeps/powerpc/nofpu/Makefile: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2024-12-09  Sachin Monga  <smonga@linux.ibm.com>

	COMMIT: be13e467641cda4bd147ef3ef3afe9e4c6a35e1d
	﻿powerpc64le: ROP changes for the *context and setjmp functions

	* sysdeps/powerpc/powerpc64/setjmp-common.S: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/getcontext.S: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/makecontext.S: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/setcontext.S: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/swapcontext.S: Modified.

2024-12-09  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 9e08698e4caec73a83be1bf22074b58b59c2cb18
	nptl: Add <thread_pointer.h> for m68k

	* sysdeps/m68k/nptl/thread_pointer.h: New file.

2024-12-09  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: 8dd15887940e9a6a4304fe360c7bd7569fe9ba21
	nptl: Add <thread_pointer.h> for RISC-V

	* sysdeps/riscv/nptl/thread_pointer.h: New file.

2024-12-09  Michael Jeanson  <mjeanson@efficios.com>

	COMMIT: d3b3a122580b2b487f85674025c073f262e823af
	nptl: add RSEQ_SIG for RISC-V

	* sysdeps/unix/sysv/linux/riscv/bits/rseq.h: New file.

2024-12-09  Pierre Blanchard  <pierre.blanchard@arm.com>

	COMMIT: 13a7ef5999de56add448a24fefb0250236271a06
	AArch64: Improve codegen in users of ADVSIMD expm1 helper

	* sysdeps/aarch64/fpu/expm1_advsimd.c: Modified.
	(poly_advsimd_f64.h): Remove include.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.
	(v_expm1_inline.h): Include file.
	* sysdeps/aarch64/fpu/sinh_advsimd.c: Modified.
	(poly_advsimd_f64.h): Remove include.
	(data): Modified.
	(expm1_inline): Remove function.
	(V_NAME_D1): Modified function.
	(v_expm1_inline.h): Include file.
	* sysdeps/aarch64/fpu/tanh_advsimd.c: Modified.
	(poly_advsimd_f64.h): Remove include.
	(data): Modified.
	(expm1_inline): Remove function.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.
	(v_expm1_inline.h): Include file.
	* sysdeps/aarch64/fpu/v_expm1_inline.h: New file.
	* sysdeps/aarch64/fpu/v_expm1f_inline.h: Modified.
	(math_config.h): Remove include.

2024-12-09  Pierre Blanchard  <pierre.blanchard@arm.com>

	COMMIT: ca0c0d0f26fbf75b9cacc65122b457e8fdec40b8
	AArch64: Improve codegen in users of ADVSIMD log1p helper

	* sysdeps/aarch64/fpu/acosh_advsimd.c: Modified.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/atanh_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/log1p_advsimd.c: Modified.
	(v_math.h): Remove include.
	(poly_advsimd_f64.h): Remove include.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.
	(WANT_V_LOG1P_K0_SHORTCUT): New.
	(v_log1p_inline.h): Include file.
	* sysdeps/aarch64/fpu/v_log1p_inline.h: Modified.
	(poly_advsimd_f64.h): Remove include.
	(v_log1p_data): Modified.
	(V_LOG1P_CONSTANTS_TABLE): Modified.
	(log1p_inline): Modified function.
	(eval_poly): New function.

2024-12-09  Pierre Blanchard  <pierre.blanchard@arm.com>

	COMMIT: 8eb5ad2ebc94cc5bedbac57c226c02ec254479c7
	AArch64: Improve codegen in AdvSIMD logs

	* sysdeps/aarch64/fpu/log10_advsimd.c: Modified.
	(poly_advsimd_f64.h): Remove include.
	(data): Modified.
	(Off): Remove.
	(T): Remove.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/log2_advsimd.c: Modified.
	(poly_advsimd_f64.h): Remove include.
	(data): Modified.
	(Off): Remove.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/log_advsimd.c: Modified.
	(data): Modified.
	(A): Remove.
	(Off): Remove.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.

2024-12-09  Pierre Blanchard  <pierre.blanchard@arm.com>

	COMMIT: 569cfaaf4984ae70b23c61ee28a609b5aef93fea
	AArch64: Improve codegen in AdvSIMD pow

	* sysdeps/aarch64/fpu/pow_advsimd.c: Modified.
	(VecSmallExp): Remove.
	(VecThresExp): Remove.
	(data): Modified.
	(A): Remove.
	(C): Remove.
	(v_log_inline): Modified function.
	(v_exp_inline): Modified function.
	(V_NAME_D2): Modified function.

2024-12-09  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: b602f60f5e6178abe4b024a64c9532f78f2ecf9d
	s390x: Regenerated ULPs.

	* sysdeps/s390/fpu/libm-test-ulps: Modified.

2024-12-09  gfleury  <gfleury@disroot.org>

	COMMIT: a4b4b9a96b14d948063c18f789832ded5e38f506
	htl: move pthread_condattr_setpshared into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/htl/pt-condattr-setpshared.c: Modified.
	(pthread_condattr_setpshared): Remove function.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_41)](compat_symbol): New.
	(shlib-compat.h): Include file.
	(__pthread_condattr_setpshared): New function.
	(stub_warning): New function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libc.abilist: Modified.
	* sysdeps/mach/hurd/x86_64/libpthread.abilist: Modified.

2024-12-09  gfleury  <gfleury@disroot.org>

	COMMIT: 5ccb28e65da8380e2f6b0b8ed025c59c9713d863
	htl: move pthread_condattr_setclock into libc.

	* htl/Makefile: Modified.
	* htl/Versions: Modified.
	* sysdeps/htl/pt-condattr-setclock.c: Modified.
	(pthread_condattr_setclock): Remove function.
	[OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_12, GLIBC_2_41)](compat_symbol): New.
	(shlib-compat.h): Include file.
